Bug 258741 - amarok crashes on startup [@ Context::ContextView::addCollapseAnimation]
Summary: amarok crashes on startup [@ Context::ContextView::addCollapseAnimation]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View (show other bugs)
Version: 2.5-git
Platform: Compiled Sources Linux
: HI crash with 20 votes (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
: 259378 262858 263752 264719 266578 266633 268467 268714 269660 269740 270219 270781 273097 273328 274419 276636 279311 279712 279785 279971 280054 280081 280148 280509 281630 282042 282570 283240 284271 284591 285064 285103 285369 285865 285875 286581 286610 287061 287775 287776 288863 289053 289080 289743 289914 290254 290743 290880 290976 291971 292155 292191 292688 293212 293384 293613 293837 294365 294614 295541 296685 297010 297259 297982 298382 299380 300890 300953 301120 301313 301461 301557 302038 302541 303484 303832 304243 304416 306253 307255 307301 307817 307959 309438 311739 312165 312220 312256 314168 314582 315696 316233 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-03 22:55 UTC by Marcin Gryszkalis
Modified: 2016-02-27 05:45 UTC (History)
85 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments
New crash information added by DrKonqi (23.06 KB, text/plain)
2011-02-16 15:21 UTC, Thomas Langkamp
Details
New crash information added by DrKonqi (23.84 KB, text/plain)
2011-02-17 15:14 UTC, pmratpoison
Details
New crash information added by DrKonqi (18.02 KB, text/plain)
2011-03-03 21:09 UTC, Leonardo La Malfa
Details
New crash information added by DrKonqi (20.52 KB, text/plain)
2011-03-07 00:37 UTC, pmratpoison
Details
New crash information added by DrKonqi (21.57 KB, text/plain)
2011-03-20 14:00 UTC, Tom Kijas
Details
New crash information added by DrKonqi (12.28 KB, text/plain)
2011-03-26 11:41 UTC, Christopher Roy Bratusek
Details
New crash information added by DrKonqi (17.25 KB, text/plain)
2011-03-27 16:22 UTC, pmratpoison
Details
New crash information added by DrKonqi (18.14 KB, text/plain)
2011-05-02 00:10 UTC, Sebastian Bremicker
Details
New crash information added by DrKonqi (22.72 KB, text/plain)
2011-07-14 05:03 UTC, Marian Kyral
Details
New crash information added by DrKonqi (16.21 KB, text/plain)
2011-11-14 21:25 UTC, jonathas.lucas
Details
New crash information added by DrKonqi (16.68 KB, text/plain)
2011-11-14 22:22 UTC, jonathas.lucas
Details
New crash information added by DrKonqi (15.27 KB, text/plain)
2011-12-30 11:10 UTC, Serge Ratke
Details
New crash information added by DrKonqi (30.10 KB, text/plain)
2012-03-22 11:49 UTC, jos poortvliet
Details
New crash information added by DrKonqi (31.01 KB, text/plain)
2012-03-23 05:28 UTC, Valery Mamonov
Details
New crash information added by DrKonqi (23.16 KB, text/plain)
2012-05-02 08:06 UTC, Hendrik Maryns
Details
contextview-initialise-and-debugging.patch (6.93 KB, patch)
2012-05-08 11:20 UTC, Matěj Laitl
Details
New crash information added by DrKonqi (35.13 KB, text/plain)
2012-05-10 20:43 UTC, Carlos
Details
New crash information added by DrKonqi (32.64 KB, text/plain)
2012-05-13 16:36 UTC, Chuchus Taylor
Details
New crash information added by DrKonqi (26.02 KB, text/plain)
2012-06-09 11:40 UTC, Matěj Laitl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Gryszkalis 2010-12-03 22:55:04 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.5.3 (KDE 4.5.3) (Compiled from sources)
Qt Version: 4.7.1
Operating System: Linux 2.6.35-gentoo-r10-ines i686
Distribution (Platform): Gentoo Packages

-- Information about the crash:
Amarok crashes everytime after update to latest svn (today).

It has one custom patch to add new element in CollectionWidget but it's not related.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb059a720 (LWP 10656))]

Thread 12 (Thread 0xadc5cb70 (LWP 10657)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb56497e4 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:236
#2  0xb59c9634 in __pthread_cond_timedwait (cond=0x89bc500, mutex=0x89bc4e8, abstime=0xadc5c260) at forward.c:152
#3  0xade62e53 in metronom_sync_loop (this=0x89bc4a0) at metronom.c:870
#4  0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 11 (Thread 0xad45bb70 (LWP 10658)):
#0  g_main_context_poll (context=0x894e4c0, block=<value optimized out>, dispatch=1, self=0x894e848) at gmain.c:2899
#1  g_main_context_iterate (context=0x894e4c0, block=<value optimized out>, dispatch=1, self=0x894e848) at gmain.c:2586
#2  0xb3c4965a in IA__g_main_context_iteration (context=0x894e4c0, may_block=1) at gmain.c:2654
#3  0xb5cd4361 in QEventDispatcherGlib::processEvents (this=0x894d5b8, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#4  0xb5ca719f in QEventLoop::processEvents (this=0xad45b1f0, flags=) at kernel/qeventloop.cpp:149
#5  0xb5ca75c5 in QEventLoop::exec (this=0xad45b1f0, flags=...) at kernel/qeventloop.cpp:201
#6  0xb5bb2cc3 in QThread::exec (this=0x8937948) at thread/qthread.cpp:490
#7  0xadeae712 in Phonon::Xine::XineThread::run (this=0x8937948) at /usr/src/debug/media-sound/phonon-4.4.2/phonon-4.4.2/xine/xinethread.cpp:143
#8  0xb5bb5ba6 in QThreadPrivate::start (arg=0x8937948) at thread/qthread_unix.cpp:285
#9  0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 10 (Thread 0xacc5ab70 (LWP 10663)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb59ac70b in read () at ../sysdeps/unix/syscall-template.S:82
#2  0xae1cb602 in read (handle=0x89bf370, event=0xacc5a0d4) at /usr/include/bits/unistd.h:45
#3  snd_ctl_hw_read (handle=0x89bf370, event=0xacc5a0d4) at control_hw.c:324
#4  0xae1c87ea in snd_ctl_read (ctl=0xfffffff7, event=0x48) at control.c:665
#5  0xae1c4f57 in snd_hctl_handle_events (hctl=0x89dcfd8) at hcontrol.c:789
#6  0xae1cff72 in snd_mixer_handle_events (mixer=0x89dd030) at mixer.c:847
#7  0xadd8c02f in ao_alsa_handle_event_thread (data=0x89c0d88) at audio_alsa_out.c:175
#8  0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 9 (Thread 0xac459b70 (LWP 10664)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0x8a02560, mutex=0x8a02548) at forward.c:139
#3  0xade717cd in fifo_peek_int (fifo=<value optimized out>, blocking=<value optimized out>) at audio_out.c:348
#4  0xade73338 in fifo_peek (this_gen=0x89df7f0) at audio_out.c:388
#5  ao_loop (this_gen=0x89df7f0) at audio_out.c:1015
#6  0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 8 (Thread 0xabc58b70 (LWP 10665)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0x8b64120, mutex=0x8b64108) at forward.c:139
#3  0xade717cd in fifo_peek_int (fifo=<value optimized out>, blocking=<value optimized out>) at audio_out.c:348
#4  0xade73338 in fifo_peek (this_gen=0x8b45fe8) at audio_out.c:388
#5  ao_loop (this_gen=0x8b45fe8) at audio_out.c:1015
#6  0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 7 (Thread 0xab2ffb70 (LWP 10666)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0x8886048, mutex=0x8886030) at forward.c:139
#3  0xade717cd in fifo_peek_int (fifo=<value optimized out>, blocking=<value optimized out>) at audio_out.c:348
#4  0xade73338 in fifo_peek (this_gen=0x8877518) at audio_out.c:388
#5  ao_loop (this_gen=0x8877518) at audio_out.c:1015
#6  0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 6 (Thread 0xa892cb70 (LWP 10673)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0x91795e8, mutex=0x91795d0) at forward.c:139
#3  0xb5bb6714 in wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53171f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91794b8, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb531a4ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9179850, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53167e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91794b8, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb531a594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0x9179a30, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb531a5b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0x9179a30, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb531a5b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0x9179a30, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb531a5b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0x9179a30, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb531a5b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0x9179a30, previous=0x9179260) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb53189b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa892c234, parent=0x91794b8, th=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:87
#19 0xb5318ff0 in ThreadWeaver::Thread::run (this=0x9179a30) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:142
#20 0xb5bb5ba6 in QThreadPrivate::start (arg=0x9179a30) at thread/qthread_unix.cpp:285
#21 0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 5 (Thread 0xa812bb70 (LWP 10674)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0x91795e8, mutex=0x91795d0) at forward.c:139
#3  0xb5bb6714 in wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53171f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91794b8, th=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb531a4ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9179850, th=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53167e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91794b8, th=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb531a594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0xab302348, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb531a5b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0xab302348, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb531a5b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0xab302348, previous=0x9309460) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb53189b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa812b234, parent=0x91794b8, th=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:87
#15 0xb5318ff0 in ThreadWeaver::Thread::run (this=0xab302348) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:142
#16 0xb5bb5ba6 in QThreadPrivate::start (arg=0xab302348) at thread/qthread_unix.cpp:285
#17 0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 4 (Thread 0xa792ab70 (LWP 10675)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0x91795e8, mutex=0x91795d0) at forward.c:139
#3  0xb5bb6714 in wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53171f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91794b8, th=0xab306f00) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb531a4ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9179850, th=0xab306f00) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53167e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91794b8, th=0xab306f00) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb531a594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0xab306f00) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0xab306f00, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb531a5b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0xab306f00) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0xab306f00, previous=0x930d428) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb53189b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa792a234, parent=0x91794b8, th=0xab306f00) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:87
#13 0xb5318ff0 in ThreadWeaver::Thread::run (this=0xab306f00) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:142
#14 0xb5bb5ba6 in QThreadPrivate::start (arg=0xab306f00) at thread/qthread_unix.cpp:285
#15 0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 3 (Thread 0xa2091b70 (LWP 10676)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0x91795e8, mutex=0x91795d0) at forward.c:139
#3  0xb5bb6714 in wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x91794d0, mutex=0x9179770, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53171f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91794b8, th=0x92cc700) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb531a4ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9179850, th=0x92cc700) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53167e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91794b8, th=0x92cc700) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb531a594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9179850, th=0x92cc700) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5317657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91794b8, th=0x92cc700, previous=0x9314d98) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb53189b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa2091234, parent=0x91794b8, th=0x92cc700) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:87
#11 0xb5318ff0 in ThreadWeaver::Thread::run (this=0x92cc700) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/threadweaver/Weaver/Thread.cpp:142
#12 0xb5bb5ba6 in QThreadPrivate::start (arg=0x92cc700) at thread/qthread_unix.cpp:285
#13 0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 2 (Thread 0xa183eb70 (LWP 10677)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb564943c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb59c95dd in __pthread_cond_wait (cond=0xb4dfd290, mutex=0xb4dfd278) at forward.c:139
#3  0xb4d00e64 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb4df81a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0xb4d00ea1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb4df81a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0xb25e1c38 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1

Thread 1 (Thread 0xb059a720 (LWP 10656)):
[KCrash Handler]
#5  0xb6beef5a in QTimer::isActive (this=0x31000000) at /usr/include/qt4/QtCore/qtimer.h:69
#6  0xb6bed92e in Context::ContextView::addCollapseAnimation (this=0x91d54f0, anim=0x9367cb0) at /root/additional/amarok/src/context/ContextView.cpp:250
#7  0xb6be6fca in Context::Applet::collapse (this=0x921c1e0, on=false) at /root/additional/amarok/src/context/Applet.cpp:254
#8  0xb6be6c13 in Context::Applet::setCollapseOff (this=0x921c1e0) at /root/additional/amarok/src/context/Applet.cpp:222
#9  0xa20c04e9 in Albums::dataUpdated (this=0x921c1e0, name=..., data=...) at /root/additional/amarok/src/context/applets/albums/Albums.cpp:134
#10 0xa20c16d4 in Albums::qt_metacall (this=0x921c1e0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfd9b8a4) at /root/additional/amarok/build/src/context/applets/albums/Albums.moc:84
#11 0xb5cadce2 in QMetaObject::metacall (object=0x921c1e0, cl=QMetaObject::InvokeMetaMethod, idx=71, argv=0xbfd9b8a4) at kernel/qmetaobject.cpp:237
#12 0xb5cbfcac in QMetaObject::activate (sender=0x92497f8, m=0xb5144764, local_signal_index=0, argv=0x31000000) at kernel/qobject.cpp:3272
#13 0xb4f9c73a in Plasma::DataContainer::dataUpdated (this=0x92497f8, _t1=..., _t2=...) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3_build/plasma/datacontainer.moc:101
#14 0xb4f9c890 in Plasma::DataContainer::checkForUpdate (this=0x92497f8) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/plasma/datacontainer.cpp:169
#15 0xb4fa12ad in Plasma::DataEngine::timerEvent (this=0x924b618, event=0xbfd9be6c) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/plasma/dataengine.cpp:384
#16 0xb5cb9dbe in QObject::event (this=0x924b618, e=0x31000000) at kernel/qobject.cpp:1175
#17 0xb61927d1 in QApplicationPrivate::notify_helper (this=0x8872f88, receiver=0x924b618, e=0xbfd9be6c) at kernel/qapplication.cpp:4445
#18 0xb6198db7 in QApplication::notify (this=0xbfd9c1a4, receiver=0x924b618, e=0xbfd9be6c) at kernel/qapplication.cpp:3845
#19 0xb7626d21 in KApplication::notify (this=0xbfd9c1a4, receiver=0x924b618, event=0xbfd9be6c) at /usr/src/debug/kde-base/kdelibs-4.5.3/kdelibs-4.5.3/kdeui/kernel/kapplication.cpp:310
#20 0xb5ca84e9 in QCoreApplication::notifyInternal (this=0xbfd9c1a4, receiver=0x924b618, event=0xbfd9be6c) at kernel/qcoreapplication.cpp:732
#21 0xb5cd7397 in sendEvent (this=0x8875104) at kernel/qcoreapplication.h:215
#22 QTimerInfoList::activateTimers (this=0x8875104) at kernel/qeventdispatcher_unix.cpp:603
#23 0xb5cd45f2 in timerSourceDispatch (source=0x88750d0) at kernel/qeventdispatcher_glib.cpp:184
#24 0xb3c45bd4 in g_main_dispatch (context=0x8875050) at gmain.c:1960
#25 IA__g_main_context_dispatch (context=0x8875050) at gmain.c:2513
#26 0xb3c4949e in g_main_context_iterate (context=0x8875050, block=<value optimized out>, dispatch=1, self=0x8871960) at gmain.c:2591
#27 0xb3c4965a in IA__g_main_context_iteration (context=0x8875050, may_block=1) at gmain.c:2654
#28 0xb5cd432c in QEventDispatcherGlib::processEvents (this=0x8786538, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#29 0xb624824c in QGuiEventDispatcherGlib::processEvents (this=0x8786538, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#30 0xb5ca719f in QEventLoop::processEvents (this=0xbfd9c134, flags=) at kernel/qeventloop.cpp:149
#31 0xb5ca75c5 in QEventLoop::exec (this=0xbfd9c134, flags=...) at kernel/qeventloop.cpp:201
#32 0xb5cab74c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#33 0xb6191616 in QApplication::exec () at kernel/qapplication.cpp:3719
#34 0x08052cc0 in main (argc=1, argv=0xbfd9ca54) at /root/additional/amarok/src/main.cpp:248

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-12-04 02:18:24 UTC
You certainly mean git, not svn :)
Comment 2 Marcin Gryszkalis 2010-12-04 23:21:37 UTC
It looks like after next update (details below) the crash is fixed - I'll confirm after some more testing.

remote: Counting objects: 266, done.
remote: Compressing objects: 100% (211/211), done.
remote: Total 211 (delta 181), reused 0 (delta 0)
Receiving objects: 100% (211/211), 19.89 KiB, done.
Resolving deltas: 100% (181/181), completed with 55 local objects.
From git://anongit.kde.org/amarok
   50ab74b..fbb0e78  master     -> origin/master
Updating 50ab74b..fbb0e78
Fast-forward
 ChangeLog                                          |   24 ++--
 src/MainWindow.cpp                                 |   13 +--
 src/aboutdialog/OcsPersonItem.cpp                  |   13 +-
 src/amarokconfig.kcfg                              |   39 +------
 src/configdialog/dialogs/GeneralConfig.ui          |    7 +
 src/context/Applet.cpp                             |   11 ++-
 src/context/Applet.h                               |    2 +
 src/context/applets/albums/Albums.cpp              |    1 +
 src/context/applets/labels/LabelsApplet.cpp        |    8 +-
 src/context/applets/lyrics/LyricsApplet.cpp        |    8 +-
 src/context/applets/photos/PhotosApplet.cpp        |   16 +++-
 src/context/applets/photos/PhotosApplet.h          |    4 +
 src/context/applets/photos/PhotosScrollWidget.cpp  |    7 +
 src/context/applets/photos/PhotosScrollWidget.h    |    5 +
 .../applets/similarartists/ArtistWidget.cpp        |    2 +
 .../similarartists/SimilarArtistsApplet.cpp        |    4 -
 src/context/applets/tabs/TabsApplet.cpp            |   44 ++------
 src/context/applets/tabs/TabsApplet.h              |    6 +-
 src/context/applets/tabs/TabsItem.cpp              |    1 +
 .../verticallayout/VerticalAppletLayout.cpp        |    1 -
 src/context/engines/photos/PhotosEngine.cpp        |   19 ++--
 src/context/engines/photos/PhotosEngine.h          |    2 +-
 src/context/engines/tabs/TabsEngine.cpp            |  118 ++++++++++++--------
 src/context/engines/tabs/TabsEngine.h              |   65 +++++------
 .../playdarcollection/PlaydarCollection.cpp        |   54 +++++-----
 .../upnpcollection/UpnpCollectionFactory.h         |    2 +-
 .../collections/upnpcollection/deviceinfo.h        |    2 +-
 src/covermanager/CoverFetchUnit.h                  |    2 +-
 src/main.cpp                                       |   14 ++-
 src/playlist/PlaylistDock.cpp                      |    9 +-
 src/playlist/PlaylistDock.h                        |    2 +
 31 files changed, 266 insertions(+), 239 deletions(-)
Comment 3 Myriam Schweingruber 2010-12-05 17:53:32 UTC
I can't reproduce this here at all, using latest 2.4-git
Comment 4 Myriam Schweingruber 2010-12-09 22:51:08 UTC
Still no way to reproduce this, closing for now, feel free to reopen if you can reproduce it with the latest 2.4-git version (which is ahead of 2.4 beta, see duplicate report)
Comment 5 Myriam Schweingruber 2010-12-09 22:51:26 UTC
*** Bug 259378 has been marked as a duplicate of this bug. ***
Comment 6 e.crepieux 2010-12-09 23:45:00 UTC
Fixed it by removing /home/.kde/share/config/amarokrc and the Ultimate lyrics script
Comment 7 Myriam Schweingruber 2011-01-11 20:06:22 UTC
*** Bug 262858 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2011-01-20 14:27:46 UTC
*** Bug 263752 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2011-01-29 16:16:24 UTC
*** Bug 264719 has been marked as a duplicate of this bug. ***
Comment 10 Thomas Langkamp 2011-02-16 15:21:43 UTC
Created attachment 57300 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

- What I was doing when the application crashed:
After clicking on the tray-icon amarok begin to load its window/icons and so on and crashes right after completition
- Unusual behavior I noticed:
the crashes began weeks ago but appeared randomly, when switching songs. Since some days ago it crashes always, when clicking the tray icon.
- Custom settings of the application:
custom settings are not influencing this, since i deleted them from .kde4/share/apps/amarok with no effect

-- Backtrace (Reduced):
#6  data (this=0x0, anim=0x28473a0) at /usr/include/QtCore/qsharedpointer_impl.h:557
#7  Context::ContextView::addCollapseAnimation (this=0x0, anim=0x28473a0) at /usr/src/debug/amarok-2.4.0/src/context/ContextView.cpp:239
#8  0x00007f090d2b6fd2 in Context::Applet::collapse (this=0x23e7710, on=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/context/Applet.cpp:315
#9  0x00007f08c2dedf3b in LyricsApplet::dataUpdated (this=0x23e7710, name=<value optimized out>, data=<value optimized out>)
    at /usr/src/debug/amarok-2.4.0/src/context/applets/lyrics/LyricsApplet.cpp:574
#10 0x00007f08c2def286 in LyricsApplet::qt_metacall (this=0x23e7710, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffc1bec840)
    at /usr/src/debug/amarok-2.4.0/build/src/context/applets/lyrics/LyricsApplet.moc:98
Comment 11 Thomas Langkamp 2011-02-16 15:37:56 UTC
I have to add, that removing .kde4/share/config/amarokrc also seems to fix this for me. But that is strange, since I did no changes to the configuration or installation of scripts for amarok in quite some time. Additionaly, after removing amarokrc, restarting, configuring amarok back to old settings and activating all scripts and playlistlayout used before it still do not crash like before... strange. Maybe it was a very old option/setting not in direct control by the user through the configuration-windows of amarok.
cheers, thomas
Comment 12 pmratpoison 2011-02-17 15:14:08 UTC
Created attachment 57326 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.0

- What I was doing when the application crashed:

I was starting the application The app segfaulted.

-- Backtrace (Reduced):
#6  data (this=0x0, anim=0x10a51c0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:554
#7  Context::ContextView::addCollapseAnimation (this=0x0, anim=0x10a51c0) at ../../src/context/ContextView.cpp:239
#8  0x00007fbe3b5852b7 in Context::Applet::collapse (this=0x18da520, on=<value optimized out>) at ../../src/context/Applet.cpp:315
#9  0x00007fbdf9c71ebc in Albums::dataUpdated (this=0x18da520, name=<value optimized out>, data=<value optimized out>) at ../../../../../src/context/applets/albums/Albums.cpp:117
#10 0x00007fbdf9c7381e in Albums::qt_metacall (this=0x18da520, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff966b3390) at ./Albums.moc:84
Comment 13 Kevin Funk 2011-02-18 22:17:57 UTC
*** Bug 266633 has been marked as a duplicate of this bug. ***
Comment 14 Kevin Funk 2011-02-18 22:18:14 UTC
*** Bug 266578 has been marked as a duplicate of this bug. ***
Comment 15 Leonardo La Malfa 2011-03-03 21:09:15 UTC
Created attachment 57655 [details]
New crash information added by DrKonqi

I added the Tabs applet to the Context panel, and Amarok crashed. Before that, I added the Photos applet, and everything was fine. After restarting the application, I repeated the action with Tabs, and it crashed Amarok again. And again, after that.

It seems it crashes only during playback.
Comment 16 pmratpoison 2011-03-07 00:37:25 UTC
Created attachment 57734 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:
Starting Up Amarok
- Custom settings of the application:
MySQL database used
GNOME as desktop manager

-- Backtrace (Reduced):
#6  data (this=0x0, anim=0x1ae4d10) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:554
#7  Context::ContextView::addCollapseAnimation (this=0x0, anim=0x1ae4d10) at ../../src/context/ContextView.cpp:239
#8  0x00007ffc36e52237 in Context::Applet::collapse (this=0x1ba44e0, on=<value optimized out>) at ../../src/context/Applet.cpp:315
#9  0x00007ffbf5585ebc in Albums::dataUpdated (this=0x1ba44e0, name=<value optimized out>, data=<value optimized out>) at ../../../../../src/context/applets/albums/Albums.cpp:117
#10 0x00007ffbf558781e in Albums::qt_metacall (this=0x1ba44e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa57e2230) at ./Albums.moc:84
Comment 17 Myriam Schweingruber 2011-03-08 20:40:38 UTC
Please all, see comment #6 for the solution.
Comment 18 Leonardo La Malfa 2011-03-08 21:37:48 UTC
I had read comment #6 already, but it clearly isn't the final solution, for I had already removed amarokrc before the crashes for other reasons, and never installed the Ultimate lyrics script.
Comment 19 Myriam Schweingruber 2011-03-09 10:30:10 UTC
Leonardo, you misunderstood: this report is about 2.4-git, which is ahead of 2.4.0 you are running, and there have been many changes since.
Comment 20 Leonardo La Malfa 2011-03-09 11:37:50 UTC
(In reply to comment #19)
> Leonardo, you misunderstood: this report is about 2.4-git, which is ahead of
> 2.4.0 you are running, and there have been many changes since.

Sorry, I must have misunderstood how GIT works, because the bug reporter was running  2.4-GIT on 3 Dec. 2010, more than a month before the version I'm running, 2.4, was released on 15 Jan. 2011.

Also, this bug Target shows 2.4.0, which confirmed me it wasn't fixed before the version I'm using was out.

All the people up to comment #6, moreover, commented before release date, so I thought the -GIT version was still lower than the one that had yet to be released.

Finally, all the people reporting the same bug after release/target date, and added here as duplicates, were running v. 2.4.0.
Comment 21 Myriam Schweingruber 2011-03-09 12:39:52 UTC
Well, I only test with the latest build, and expect people who run git to also do so, and I can't reproduce this at all, see also my comment #3. If this was not fixed on 2.4.0 release then it certainly is now.
Comment 22 Leonardo La Malfa 2011-03-09 14:00:57 UTC
(In reply to comment #21)
> Well, I only test with the latest build,
which on 5 Dec. 2010 (comment #3) was still behind 2.4.0, the stable version against which most bugs were reported.

> and expect people who run git to also do so,
but what you can't expect is that all users run git to earn the right to report a bug. Most users run the stable version to have a stable experience, and report bugs when they experience instability. They try to read reports thoroughly, and add if necessary. Indeed, as suggested in comment #4, users felt free to keep reporting because it was reproducible with versions that still were ahead of the latest 2.4-git version with which you couldn't reproduce back when you closed the bug.

> and I can't reproduce this at all, see also my comment #3.
My point is, the bug was reported and closed against an older version than mine, so it's not that I "misunderstood", but just that the way this bug was handled, and versions superseded each other, required this bug to be reopened, and checked against a newer git version.

> If this was not fixed on 2.4.0 release then it certainly is now.
I certainly believe you. Thanks for checking again.
Comment 23 Myriam Schweingruber 2011-03-19 11:03:05 UTC
*** Bug 268467 has been marked as a duplicate of this bug. ***
Comment 24 Myriam Schweingruber 2011-03-19 11:03:53 UTC
*** Bug 268714 has been marked as a duplicate of this bug. ***
Comment 25 Tom Kijas 2011-03-20 14:00:19 UTC
Created attachment 58190 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:
Hi, Amarok crashed, I added songs to playlist, then wanted to play next song and the Amarok crashed.

-- Backtrace (Reduced):
#6  data (this=0x0, anim=0x3f25f20) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:554
#7  Context::ContextView::addCollapseAnimation (this=0x0, anim=0x3f25f20) at ../../src/context/ContextView.cpp:239
#8  0x00007f1b433df2b7 in Context::Applet::collapse (this=0x34b7e50, on=<value optimized out>) at ../../src/context/Applet.cpp:315
#9  0x00007f1b010a9f1a in TabsApplet::updateInterface (this=0x34b7e50, appletState=TabsApplet::FetchingState) at ../../../../../src/context/applets/tabs/TabsApplet.cpp:249
#10 0x00007f1b010aa5b6 in TabsApplet::dataUpdated (this=0x34b7e50, name=<value optimized out>, data=<value optimized out>) at ../../../../../src/context/applets/tabs/TabsApplet.cpp:159
Comment 26 Christopher Roy Bratusek 2011-03-26 11:41:39 UTC
Created attachment 58351 [details]
New crash information added by DrKonqi

amarok (2.4.0.90) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

I got the same problem after updating to 2.4.1 beta1, from Debian/Experimental (with self-packaged KDE 4.6.1).

For the first time it worked, but when it suddenly crashed while playing and since then it doesn't startup anymore...

-- Backtrace (Reduced):
#6  data (this=0x0, anim=0x12e60d0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:565
#7  Context::ContextView::addCollapseAnimation (this=0x0, anim=0x12e60d0) at ../../src/context/ContextView.cpp:239
#8  0x00007f74096a3552 in Context::Applet::collapse (this=0x168e580, on=<value optimized out>) at ../../src/context/Applet.cpp:315
#9  0x00007f73d75825b8 in Albums::dataUpdated (this=0x168e580, name=<value optimized out>, data=<value optimized out>) at ../../../../../src/context/applets/albums/Albums.cpp:155
#10 0x00007f73d7583b36 in Albums::qt_metacall (this=0x168e580, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe8821c60) at ./Albums.moc:89
Comment 27 pmratpoison 2011-03-27 16:22:05 UTC
Created attachment 58375 [details]
New crash information added by DrKonqi

amarok (2.4.0.90) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:
Starting up the application from the menu (command amarok %U)
- Custom settings of the application:
Gnome Desktop Environment.
MySQL external database
gstreamer backend

-- Backtrace (Reduced):
#6  data (this=0x0, anim=0x2d31200) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:554
#7  Context::ContextView::addCollapseAnimation (this=0x0, anim=0x2d31200) at ../../src/context/ContextView.cpp:239
#8  0x00007f7654e060b7 in Context::Applet::collapse (this=0x2c8bc30, on=<value optimized out>) at ../../src/context/Applet.cpp:315
#9  0x00007f76156eb18c in Albums::dataUpdated (this=0x2c8bc30, name=<value optimized out>, data=<value optimized out>) at ../../../../../src/context/applets/albums/Albums.cpp:155
#10 0x00007f76156ecae6 in Albums::qt_metacall (this=0x2c8bc30, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffadf1e420) at ./Albums.moc:89
Comment 28 Myriam Schweingruber 2011-03-29 08:15:30 UTC
Reopened based on the last comments. I still can't reproduce this here though, must be some specific configuration.
Comment 29 Myriam Schweingruber 2011-03-29 08:16:00 UTC
Setting status correctly.
Comment 30 Myriam Schweingruber 2011-03-29 15:16:12 UTC
*** Bug 269660 has been marked as a duplicate of this bug. ***
Comment 31 Myriam Schweingruber 2011-03-30 07:56:00 UTC
*** Bug 269740 has been marked as a duplicate of this bug. ***
Comment 32 Myriam Schweingruber 2011-04-07 09:51:01 UTC
*** Bug 270219 has been marked as a duplicate of this bug. ***
Comment 33 Myriam Schweingruber 2011-04-12 22:19:51 UTC
*** Bug 270781 has been marked as a duplicate of this bug. ***
Comment 34 Sebastian Bremicker 2011-05-02 00:10:26 UTC
Created attachment 59517 [details]
New crash information added by DrKonqi

I use the debian sid version. When I add an applet (tried it with guitar tabs) during song play, amarok crashes. It seems not to crash when I add the applet before playing a song.
Comment 35 Myriam Schweingruber 2011-05-14 12:36:16 UTC
*** Bug 273097 has been marked as a duplicate of this bug. ***
Comment 36 Myriam Schweingruber 2011-05-15 16:50:08 UTC
*** Bug 273328 has been marked as a duplicate of this bug. ***
Comment 37 Myriam Schweingruber 2011-05-29 14:17:42 UTC
*** Bug 274419 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2011-06-04 12:22:11 UTC
This is an automated message from the triager:

Amarok 2.4.1 has been released on May 8 already. Could you please upgrade and test if you can still reproduce this bug?

Without feedback within a month we will close this bug as resolved.

Thank you for your understanding.
Comment 39 Sebastian Bremicker 2011-06-11 13:57:54 UTC
Currently (Amarok 2.4.1/KDE 4.6 latest as of Debian sid) I cannot reproduce the bug. Fiddling around with the song info panels during playback or in stopped state does not crash Amarok any more.
Comment 40 Kevin Funk 2011-06-12 09:58:52 UTC
Git commit 9603fa89a1d9804ca55eb9d53de594649284c07b by Kevin Funk.
Committed on 12/06/2011 at 09:52.
Pushed by kfunk into branch 'master'.

Avoid possible crash in Context::Applet::collapse

BUG: 258741
FIXED-IN: 2.4.2

M  +2    -0    ChangeLog     
M  +4    -0    src/context/Applet.cpp     

http://commits.kde.org/amarok/9603fa89a1d9804ca55eb9d53de594649284c07b
Comment 41 Kevin Funk 2011-06-12 10:13:19 UTC
Git commit 8267d0625a73587d87d754f5c1a89a9315e4569e by Kevin Funk.
Committed on 12/06/2011 at 10:12.
Pushed by kfunk into branch 'master'.

Move assert to top of statement list

CCBUG: 258741

M  +5    -4    src/context/Applet.cpp     

http://commits.kde.org/amarok/8267d0625a73587d87d754f5c1a89a9315e4569e
Comment 42 Myriam Schweingruber 2011-06-27 20:55:49 UTC
*** Bug 276636 has been marked as a duplicate of this bug. ***
Comment 43 Marian Kyral 2011-07-14 05:03:10 UTC
Created attachment 61860 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.6.95 (4.7 RC2) using Qt 4.7.3

- What I was doing when the application crashed:

Amarok worked fine, but yesterday, amarok started to crash on start. And it is crashing even on latest git compiled version (1e6b6797).

The only change I did is probably switch to wikipedia tab. I did it when I used PROXY1 , but later I moved and I have to use PROXY2.  In debug messages I can see some proxy related rows:

QWidget::insertAction: Attempt to insert null action
amarok(25708)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
amarok(25708)/kdeui (KNotification) KStatusNotifierItemDBus::KStatusNotifierItemDBus: service is "org.kde.StatusNotifierItem-25708-1"
amarok(25708)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher
amarok(25708)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x2145800)
amarok(25708) KProtocolManager::slaveProtocol: Proxy for "en.wikipedia.org" : "http://192.168.231.4:3128"
amarok(25708)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x214bf70)
amarok(25708) KProtocolManager::slaveProtocol: Proxy for "www.ultimate-guitar.com" : "http://192.168.231.4:3128"
amarok(25708)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x214c660)
amarok(25708) KProtocolManager::slaveProtocol: Proxy for "www.fretplay.com" : "http://192.168.231.4:3128"
amarok(25708)/libplasma Plasma::ViewPrivate::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 200x200) associated screen is -1
amarok(25708)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("file:///home/marian")
amarok(25708)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x1845f10)
amarok(25708)/kio (Scheduler) KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "file"
amarok(25708)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 50 m_maxConnectionsPerHost: 50
amarok(25708)/kdecore (kdelibs) KTempDir::create: KTempDir: Temporary directory created : "/tmp/kde-marian/amarok67VxoU/"
amarok(25708)/libplasma Plasma::ViewPrivate::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 200x200) associated screen is -1
amarok(25708)/libplasma Plasma::ViewPrivate::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 200x200) associated screen is -1
amarok(25708)/libplasma Plasma::ViewPrivate::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 2089x361) associated screen is -1
amarok(25708)/libplasma Plasma::ViewPrivate::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 2089x361) associated screen is -1
amarok(25708)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x1a82880)
amarok(25708) KProtocolManager::slaveProtocol: Proxy for "cs.wikipedia.org" : "http://192.168.231.4:3128"
QSocketNotifier: Invalid socket 31 and type 'Read', disabling...
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = amarok path = /usr/bin pid = 25708
KCrash: Arguments: /usr/bin/amarok --nocrashhandler 
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
sock_file=/home/marian/.kde4/socket-nbmkyral-E6500/kdeinit4__0

I have no problem with this proxy in different applications, all works correctly.

-- Backtrace (Reduced):
#6  0x00007f0be86afab0 in QAbstractAnimation::state() const () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f0bea15bfd0 in Context::ContextView::addCollapseAnimation (this=0x222a430, anim=0x24f5e10) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/context/ContextView.cpp:240
#8  0x00007f0bea158004 in Context::Applet::collapse (this=0x2434130, on=<value optimized out>) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/context/Applet.cpp:320
#9  0x00007f0bbfb8ef74 in TabsApplet::updateInterface (this=0x2434130, appletState=<value optimized out>) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/context/applets/tabs/TabsApplet.cpp:249
#10 0x00007f0bbfb902b3 in TabsApplet::dataUpdated (this=0x2434130, name=<value optimized out>, data=<value optimized out>) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/context/applets/tabs/TabsApplet.cpp:159
Comment 44 Marian Kyral 2011-07-14 07:00:14 UTC
Even after return to PROXY1 environment, amarok is still crashing.
Comment 45 Marian Kyral 2011-07-14 07:06:10 UTC
Renaming of file amarok_homerc allows amarok to start again

Content of the file:
$ cat amarok_homerc_
[Containment 0]
firstShowingApplet=3
plugins=currenttrack,lyrics,albums,wikipedia,tabs
Comment 46 Myriam Schweingruber 2011-08-05 07:53:54 UTC
*** Bug 279311 has been marked as a duplicate of this bug. ***
Comment 47 Myriam Schweingruber 2011-08-05 07:56:42 UTC
Please all, remove the amarok* configuration files located in $HOME/.kde/share/config/ (it might be in $HOME/.kde4/share/config/ on some systems).
Comment 48 Myriam Schweingruber 2011-08-13 09:42:21 UTC
Reopening based on duplicates.
Comment 49 Myriam Schweingruber 2011-08-13 09:42:52 UTC
*** Bug 279785 has been marked as a duplicate of this bug. ***
Comment 50 Myriam Schweingruber 2011-08-13 09:43:33 UTC
*** Bug 279971 has been marked as a duplicate of this bug. ***
Comment 51 giggi1999 2011-08-14 06:52:10 UTC
I've removed the file ./kde4/share/config/amarokrc and the problem disappear.

And that's my old and problematic amarokrc :

===============================================
[Albums Applet]
RecentlyAdded=66
RightAlignLength=false

[Bookmark Manager]
Window Size=600,400

[Collection]
Use Charset Detector=true

[Collection Browser]
TreeCategory=1
View Mode=NormalCollections

[Collection Folders]
3=./data/Musica,./data/Musica_2,./data/Musica_3,./data/Musica_4,./data/Musica_usb
Use MusicLocation=false

[ConfigDialog]
Height 1080=757
Width 1920=1068

[Cover Fetcher]
Height 1080=583
Interactive Image Source=Google
Width 1920=948

[Cover Manager]
Window Size=1280,720

[File Browser]
Current Directory=file:///home

[FilenameLayoutDialog]
Custom Scheme=%track%.%title%-%ignore%
Mode=Advanced

[General]
Browser Path=root list/collections
First Run=false
HiddenOnExit=true
LayoutFileDeleted=true

[General Options]
AnimateAppletCollapse=true
AutoGetCoverArt=true
Last Dynamic Mode=Casuale
PlayFirstRunJingle=false

[KFileDialog Settings]
Height 1080=540
Recent Files[$e]=b039da49302097fd9848a8fb2f56e5c8.jpg,/media/esterno_xfs/data/Musica/Musica_2/Felix Mendelssohn Violin Concerto Op. 64- Anne Sophie Mutter/cover.jpg,/media/esterno_xfs/data/Musica/Musica_4/Ravel - Piano Concertos (Zimerman\\, Boulez)/front.jpg
Width 1920=944

[Loaded Playlist Files]
file:../../media/esterno_xfs/data/Musica/Musica/Beethoven-Symphonies-Karajan2_/CD1/%5BBeethoven%5D_Karajan_-_Berlin_Philharmoniker.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Beethoven-Symphonies-Karajan2_/CD2/%5BLudwig_van_Beethoven%5D_Symphonies_Nos._2,_7_(Berlin_Philharmonic_Orchestra_feat._conductor_Herbert_v....m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Beethoven-Symphonies-Karajan2_/CD3/%5BKarajan_-_Berlin_Philharmonic%5D_Beethoven_Symphony_No._3_'Eroica'_-_Karajan.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Beethoven-Symphonies-Karajan2_/CD4/%5BBeethoven,_Ludwig_van%5D_Symphonien_Nr.5_&_8_(Karajan_Berliner_Symphoniker).m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Beethoven-Symphonies-Karajan2_/CD5/%5BKarajan_-_Berlin_Philharmoniker%5D_Symphony_Edition_CD5_Beethoven.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Beethoven-Symphonies-Karajan2_/CD6/%5BBerliner_Philharmoniker__Herbert_von_Karajan%5D_Beethoven_Symphonie_Nr.9_d-moll_Op.125.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Bob%20Marley%20&%20The%20Wailers%20-%20Legend%20(Deluxe%20Edition)/CD1/Playlist%20Bob%20Marley%20&%20The%20Wailers%20-%20Legend%20(Deluxe%20Edition)%20CD1.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Bob%20Marley%20&%20The%20Wailers%20-%20Legend%20(Deluxe%20Edition)/CD2/Playlist%20Bob%20Marley%20&%20The%20Wailers%20-%20Legend%20(Deluxe%20Edition)%20CD2.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Bruce%20Springsteen%20-%20Magic%20%20%5B2007%5D/Bruce%20Springsteen%20-%20Magic.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Buono%20brutto%20cattivo/%5BEnnio_Morricone%5D_The_Good,_The_Bad_And_The_Ugly.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Dave%20Matthews%20Band%20-%20Big%20Whiskey%20and%20the%20GrooGrux%20King%202009%20UK%20Edition%20KompletlyWyred%20DHZ%20Inc%20Release/00.%20Dave%20Matthews%20Band%20-%20Big%20Whiskey%20And%20The%20GrooGrux%20King.pls=
file:../../media/esterno_xfs/data/Musica/Musica/Eminem-We_Made_You_(Master)-2009-OCTO/00-eminem-we_made_you_(master)-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Eric%20Clapton%20-%20Unplugged%20-%20(1992)%5BEAC-MP3@320KBPS%5D/Eric%20Clapton%20-%20Unplugged.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/George%20Frideric%20Handel/The%20Essential%20Handel%20(1%20of%202)/00.%20George%20Frideric%20Handel%20-%20The%20Essential%20Handel%20(1%20of%202).m3u=
file:../../media/esterno_xfs/data/Musica/Musica/George%20Frideric%20Handel/The%20Essential%20Handel%20(1%20of%202)/George%20Frideric%20Handel%20-%20The%20Essential%20Handel%20(1%20of%202).m3u=
file:../../media/esterno_xfs/data/Musica/Musica/George%20Frideric%20Handel/The%20Essential%20Handel%20(2%20of%202)/00.%20George%20Frideric%20Handel%20-%20The%20Essential%20Handel%20(2%20of%202).m3u=
file:../../media/esterno_xfs/data/Musica/Musica/George%20Frideric%20Handel/The%20Essential%20Handel%20(2%20of%202)/George%20Frideric%20Handel%20-%20The%20Essential%20Handel%20(2%20of%202).m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Grieg,%20Edvard%20-%20Peer%20Gynt%20(Incidental%20Music)/Grieg,%20Edvard%20-%20Peer%20Gynt%20(Incidental%20Music)%20-%20playlist.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Guillemots-Red-2008/00-guillemots-red-2008.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Heitor_Villa-Lobos_(Roberto_Duarte)_-_Discovery_Of_Brazil/00-heitor_villa-lobos_(roberto_duarte)_-_discovery_of_brazil-suites_nos._1-4-1994-cmg.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Henry%20Purcell%20-%20Music%20for%20the%20Funeral%20of%20Queen%20Mary%20(Winchester%20Cathedral%20Choir,%20David%20Hill)%20%5BFLAC%5D/%5BDavid_Hill%5D_Purcell_-_Music_for_the_Funeral_of_Queen_Mary.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Jean%20Sibelius_The_tempest/%5BJean_Sibelius%5D_The_tempest_&_others.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Jimi%20Hendrix%20-%20The%20Ultimate%20Experience/Playlist%20Jimi%20Hendrix%20-%20The%20Ultimate%20Experience.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Korn-Unplugged-2007-pLAN9/00-korn-unplugged-2007.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Martha_Argerich_and_Nelson_Freire--Salzburg-2009-OMA/00-martha_argerich_and_nelson_freire--salzburg-2009-oma.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/McIntosh%20Audiophile%20Test%20Reference/%5BVA%5D_McIntosh_Audiophile_Test_Reference%20(1).m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Nirvana%20-%20Discography/Nirvana%20-%20The%20Very%20Best%20Of/nirvana%20-%20The%20Very%20Best.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Prodigy%20-%20The%20Fat%20Of%20The%20Land%20(1997)%20(MP3-EAC-320%20kBs)/The%20Prodigy%20-%20The%20Fat%20of%20the%20Land.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/REM-In%20Time%20The%20Best%20Of%20R.E.M.%201988-2003(Darkside_RG)/In%20Time%20%20The%20Best%20Of%20R.E.M.%201988-2003.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Radiohead%20-%20Mtv%20Unplugged%20tntvillage.org/Radiohead%20-%20MTV%20Unplugged/!MTV%20Unplugged.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Richard_Wagner-La_Chevauchee_Des_Walkyries-MAG-2005-USR/00-richard_wagner-la_chevauchee_des_walkyries-mag-2005.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Santana-%20The%20Best%20Of%20Santana/Santana%20-%20The%20Best%20Of%20Santana.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Sheffield%20Drum%20and%20Track%20Record/Various%20-%20The%20Sheffield%20Track%20&%20Drum%20Record.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Slayer-Hate_Worldwide-(CDS)-2009-CRN/00-slayer-hate_worldwide-(cds)-2009-crn.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Springsteen%20Bruce%20-%20Greatest%20Hits/Springsteen%20Bruce%20-%20Greatest%20Hits.ogg.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Sultans%20Of%20Swing%20-%20The%20Very%20Best%20Of%20Dire%20Straits/Dire%20Straits%20-%20The%20Very%20Best%20Of%20Dire%20Straits.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Sunn_O)))-Monoliths_and_Dimensions-2009-GRAVEWISH/00-sunn_o)))-monoliths_and_dimensions-2009-gw.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Tartini%20-%20Four%20Concetos%20for%20Violin%20and%20Orchesta/Laszlo%20Paulik%20Orfeo%20Orchestra%20-%20Tartini%20-%20Four%20Concetos%20for%20Violin%20and%20Orchesta.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/The%20Cranberries%20Greatest%20Hits%202008/00.%20The%20Cranberries%20-%20GREATEST%20HITS%202008.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/The_Black_Dahlia_Murder-Deflorate-2009-FNT/00-the_black_dahlia_murder-deflorate-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/The_Prodigy-Invaders_Must_Die-(UK_CDM)-2009-BPM/00-the_prodigy-invaders_must_die-(uk_cdm)-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/The_Rolling_Stones-Rolled_Gold_Plus-2CD-2007-404/000-the_rolling_stones-rolled_gold_plus-2cd-2007.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/The_String_Quartet-Tribute_To_Iron_Maiden-2003-Ferice/00_the_string_quartet_-_tribute_to_iron_maiden-2003-ferice.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/The_String_Quartet-Tribute_To_Red_Hot_Chili_Peppers-2004-FTS/00-the_string_quartet_tribute_to_red_hot_chili_peppers-2004-fts.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Tokio%20Hotel%20-%20Scream%20(Retail)%20%5B2008%5D%20-%20Pop_Rock%20%5Bwww.torrentazos.com%5D/00-tokio_hotel-scream-(retail)-2008.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Union_Jack-Pylon_Pigs_Club_EP-WEB-2009-WAV/00-union_jack-pylon_pigs_club_ep-web-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/VA-Woodstock_40-2CD-(Remastered)-2009-ONe/000-va-woodstock_40-2cd-(remastered)-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/VA-Woodstock_40-2CD-(Remastered)-2009-ONe/100-va-woodstock_40-cd1-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/VA-Woodstock_40-2CD-(Remastered)-2009-ONe/200-va-woodstock_40-cd2-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/VA_-_The_Best_Of_Guitar_Perfomers-2009-CMG/00-va_-_the_best_of_guitar_perfomers-2009-cmg.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/Willie_Nelson-American_Classic-2009-XXL/00-willie_nelson-american_classic-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica/gem%20boy/_%20Gem%20Boy%20Playlist.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Academy%20of%20Ancient%20Music/Bach;%20Solo%20&%20Double%20Violin%20Concertos/00.%20Academy%20of%20Ancient%20Music%20-%20Bach;%20Solo%20&%20Double%20Violin%20Concertos.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Academy%20of%20Ancient%20Music/Bach;%20Solo%20&%20Double%20Violin%20Concertos/Academy%20of%20Ancient%20Music%20-%20Bach;%20Solo%20&%20Double%20Violin%20Concertos.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Beethoven%20-%20Symphony%20No.%2010/London%20Symphony%20Orchestra%20%20%20Morris%20-%20Beethoven%20-%20Symphony%20No.%2010.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Bernstein%201/cd%201/Bernstein%20-%20Leonard%20Bernstein%20-%20Vol.01.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/David_Campbell-On_Broadway-2010-FRAY/00-david_campbell-on_broadway-2010-fray.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Debussy%204/cd%204/Debussy%20-%20Simply%20Debussy%20Disc%204%20Chamber%20Works.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Detroit_Symphony_Orchestra-Rachmaninov_Symphony_No_2-2010-CRN/00-detroit_symphony_orchestra-rachmaninov_symphony_no_2-crn.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Eminem-Recovery-(Retail)-2010-%5BNoFS%5D/00-Eminem-Recovery-(Retail)-2010-%5BNoFS%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Felix%20Mendelssohn%20Violin%20Concerto%20Op.%2064-%20Anne%20Sophie%20Mutter/%5BAnne-Sophie_Mutter%5D_Mendelssohn-_Violin_Concerto_Etc_(Mutter,_2008).m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Ikuko_Kawai-Nature-2010-CaHeSo/00-ikuko_kawai-nature-2010-caheso.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Joe%20Hisaishi%20-%20Nausicaa%20Of%20The%20Valley%20of%20The%20Wind%20%5BEAC-FLAC%5D%20%5BRePoPo%5D/Joe%20Hisaishi%20-%20Nausicaa%20of%20the%20Valley%20of%20the%20Wind.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Joseph_Haydn_(Trio_1790)_-_Complete_Piano_Trios_Vol._8-2CD-2009-CMG/000-joseph_haydn_(trio_1790)_-_complete_piano_trios_vol._8-2cd-2009-cmg.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Joseph_Haydn_(Trio_1790)_-_Complete_Piano_Trios_Vol._8-2CD-2009-CMG/100-joseph_haydn_(trio_1790)_-_complete_piano_trios_vol._8-cd1-2009-cmg.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Joseph_Haydn_(Trio_1790)_-_Complete_Piano_Trios_Vol._8-2CD-2009-CMG/200-joseph_haydn_(trio_1790)_-_complete_piano_trios_vol._8-cd2-2009-cmg.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Lang_Lang-Chopin-CD-2009-211/00-lang_lang-chopin-cd-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Leon_Bolier_and_Marcus_Schossow-2099-(TONE023)-WEB-2010-VOiCE/00_leon_bolier_and_marcus_schossow-2099-(tone023)-web-2010-voice.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/M6BerlinerAbbado/Berliner%20Philharmoniker,%20Claudio%20Abbado%20-%20Mahler,%20Symphony%20No.6/Berliner%20Philharmoniker,%20Claudio%20Abbado%20-%20Mahler,%20Symphony%20No.6.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Martha_Argerich_and_Nelson_Freire--Salzburg-2009-OMA/00-martha_argerich_and_nelson_freire--salzburg-2009-oma.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Mozart%20-%20Flute%20Quartets%20-%20%20H%C3%BCnteler,%20R&%20J%20Ku%C3%9Fmaul,%20Dieltiens/0%20Mozart%20-%20Flute%20Quartets%20-%20Konrad%20H%C3%BCnteler,%20Rainer%20&%20J%C3%BCrgen%20Ku%C3%9Fmaul,%20Roel%20Dieltiens.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Nelson_Freire-Chopin_-_the_Nocturnes-2CD-2010-JUST/000-nelson_freire-chopin_-_the_nocturnes-2cd-2010.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Nelson_Freire-Chopin_-_the_Nocturnes-2CD-2010-JUST/100-nelson_freire-chopin_-_the_nocturnes-cd1-2010.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Nelson_Freire-Chopin_-_the_Nocturnes-2CD-2010-JUST/200-nelson_freire-chopin_-_the_nocturnes-cd2-2010.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/New%20Trolls%20-%20Concerto%20Grosso%20N.%201%20E%20N.%202%20(1971,%201976)%20%5BFLAC%5D%20(2%20albums%20on%201%20CD)/New%20Trolls%20-%20Concerto%20Grosso%20N.%201%20E%20N.%202.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Philip_Glass-Piano_Music_-_Ruhr_Piano_Festival-(0060)-CD-2009-OBC/00-philip_glass-piano_music_-_ruhr_piano_festival-(0060)-cd-2009.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Santana-Supernatural_(Legacy_Edition)-2CD-2010-VAG/000-santana-supernatural_(legacy_edition)-2cd-2010.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Shostakovich/cd%201%20piano/Bournemouth%20Symphony%20Orchestra%20-%20Shostakovich%20Piano%20Concertos.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Shostakovich/cd%202%20violin/David%20Oistrakh%20-%20Shostakovich%20%20Violin%20Concertos%201%20and%202.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Shostakovich/cd%203%20cello/%20Moscow%20Symphony%20Orchestra,%20-%20Shostakovich%20Cello%20Concertos.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Souljazz_Orchestra--Rising_Sun-(STRUT058CD)-WEB-2010-OMA/00-souljazz_orchestra--rising_sun-(strut058cd)-web-2010-oma.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/Sviatoslav_Richter-Bach_Haydn_and_Debussy-2010-SNOOK/00-sviatoslav_richter-bach_haydn_and_debussy-2010-snook.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/TOP.1000.of.the.last.30.years.PACK-PT/TOP.1000.of.the.last.30.years.PACK-PT.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_2/VA-Top_Gun_(Special_Expanded_Edition)-1999-NHH_INT/00-va-top_gun_(special_expanded_edition)-1999-nhh_int.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/AVISON%206%20Violin%20Concertos,%20Op.%203%208%20Violin%20Concertos,%20Op.%204/6%20Concerti,%20op.3/%5BAvison%20Ensemble%5D%20Charles%20Avision-%206%20Concerti,%20Op.3,%208%20Concerti,%20Op.%204%20(Disc%201).m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/AfroCubism%20-%202010%20-%20AfroCubism%20%5BFLAC%5D/AfroCubism%20-%20AfroCubism.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Bach%20Telemann/Oboe%20D'Amore%20Concertos/00.%20Bach%20Telemann%20-%20Oboe%20D'Amore%20Concertos.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Bach%20Telemann/Oboe%20D'Amore%20Concertos/Bach%20Telemann%20-%20Oboe%20D'Amore%20Concertos.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Deep%20Purple%20-%20Made%20In%20Japan%20%5BMP3%20@%20320%5D%20(oan)/Deep%20Purple%20-%20Made%20In%20Japan%20%5BDisc%201%5D%20%5BMP3%20@%20320%5D%20(oan)/Deep%20Purple%20-%20Made%20In%20Japan%20%5BDisc%201%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Deep%20Purple%20-%20Made%20In%20Japan%20%5BMP3%20@%20320%5D%20(oan)/Deep%20Purple%20-%20Made%20In%20Japan%20%5BDisc%202%5D%20%5BMP3%20@%20320%5D%20(oan)/Deep%20Purple%20-%20Made%20In%20Japan%20%5BDisc%202%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Gregorian/The%20Dark%20Side/Gregorian%20-%20The%20Dark%20Side.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Mahler%206/cd%206/Dame%20Margaret%20Price;%20Jascha%20Horenstein;%20London%20Philharmonic%20Orchestra%20-%20Mahler%20-%20Symphony%20No.4%20in%20G.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Mahler9_Nott/Bamberger%20Symphoniker%20Jonathan%20Nott%20-%20Gustav%20Mahler%20Symphonie%20No.9%20%20%20%5BI%5D/Bamberger%20Symphoniker%20Jonathan%20Nott%20-%20Gustav%20Mahler%20Symphonie%20No.9%20%20%20%5BI%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Mahler9_Nott/Bamberger%20Symphoniker%20Jonathan%20Nott%20-%20Gustav%20Mahler%20Symphonie%20No.9%20%20%20%5BII%5D/Bamberger%20Symphoniker%20Jonathan%20Nott%20-%20Gustav%20Mahler%20Symphonie%20No.9%20%20%20%5BII%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Pat%20Metheny%20-%20One%20Quiet%20Night%20(2003)%20%5BFLAC%5D/%5BPat_Metheny%5D_One_Quiet_Night.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Pink%20Floyd%20-%20Atom%20Heart%20Mother%20%5BMFSL%20UDCD%20595%5D%20(1970)/%5BPink_Floyd%5D_Atom_Heart_Mother_%5BMFSL_UDCD_595%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Porcupine%20Tree%20-%20Recordings/Porcupine%20Tree%20-%20Recordings.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Solomon%20Burke%20&%20De%20Dijk%20-%20Hold_on_tight/00-solomon_burke_and_de_dijk-hold_on_tight-2010.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Tchaikovsky%20-%20Concerto%20For%20Violin%20And%20Orchestra%20In%20D/Tchaikovsky%20-%20Concerto%20For%20Violin%20And%20Orchestra%20In%20D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/VA%20Stoltzman/Richard%20Stoltzman/Various%20-%20Richard%20Stoltzman.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_3/Vivaldi,%20Antonio%20-%20Double%20Concerti%20for%20Flute%20&%20Violin%20-%20Jean-Pierre%20Rampal%20&%20Isaac%20Stern%20VBR/00%20-%20Vivaldi,%20Antonio%20-%20Double%20Concerti%20for%20Flute%20&%20Violin%20-%20Jean-Pierre%20Rampal%20&%20Isaac%20Stern.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/0875_Ravel%20Orchestral%20Dutoit/cd1/%5B%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/0875_Ravel%20Orchestral%20Dutoit/cd2/%5B%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/0875_Ravel%20Orchestral%20Dutoit/cd2/cd2.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/0875_Ravel%20Orchestral%20Dutoit/cd3/%5B%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/0875_Ravel%20Orchestral%20Dutoit/cd4/%5B%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Bach%20-%20Sonate%20e%20Partite%20per%20Violino%20solo%20-%20Uto%20Ughi/CD1/Uto%20Ughi%20-%20Bach%20%20Violin%20Sonatas%20&%20Partitas%20-%20%20Disc%201.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Bach%20-%20Sonate%20e%20Partite%20per%20Violino%20solo%20-%20Uto%20Ughi/CD2/Uto%20Ughi%20-%20Bach%20%20Violin%20Sonatas%20&%20Partitas%20-%20%20Disc%202.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Bob%20Marley%20&%20The%20Wailers%20-%20Exodus%20-%201977%20%5BMP3%20@%20320%5D%20(oan)/Bob%20Marley%20&%20The%20Wailers%20-%20Exodus.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Bruce%20Springsteen%20-%20Born%20in%20the%20U.S.A.%20(EAC.FLAC)/Bruce%20Springsteen%20-%20Born%20in%20the%20U.S.A..m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Bruce%20Springsteen%20-%20Nebraska/Bruce%20Springsteen%20-%20Nebraska.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/C%20P%20E%20Bach/Sonate%20per%20viola/Carl%20Philipp%20Emmanuel%20Bach%20(intrep.%20Paolo%20Pandolfo,%20Rinaldo%20Alessandrini)%20-%20Sonate%20per%20viola%20da%20gamba%20e%20basso%20continuo.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Elton%20John,%20James%20Newton%20Howard%20&%20VA%20-%20Gnomeo%20&%20Juliet%20(2011)/00%20-%20Elton%20John,%20James%20Newton%20Howard%20&%20VA%20-%20Gnomeo%20&%20Juliet.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Eric%20Clapton%20-%20Blues%20(1999)%20%5BEAC-FLAC-CUE%5D/CD_1/Eric%20Clapton%20-%20Blues%20CD%201.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Eric%20Clapton%20-%20Blues%20(1999)%20%5BEAC-FLAC-CUE%5D/CD_2/Eric%20Clapton%20-%20Blues%20CD%202.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Famous%20Classical%20Trumpet%20Concertos/CD1/Play.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Famous%20Classical%20Trumpet%20Concertos/CD2/Play.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Frederic_Chopin-Concerto_Pour_Piano_No._1-MAG-2005-USR/00-frederic_chopin-concerto_pour_piano_no._1-mag-2005.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/German_Requiem_Jarvi/Paavo%20Jarvi,%20Frankfurt%20Radio%20Symphony%20Orchestra%20-%202011%20-%20Brahms,%20Ein%20Deutsches%20Requiem%20%5BFLAC%5D/Paavo%20Jarvi,%20Frankfurt%20Radio%20Symphony%20Orchestra%20-%20Brahms,%20Ein%20Deutsches%20Requiem.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Gil%20Shaham-%20Orpheus%20Chamber%20Orchestra%20-%20Vivaldi-%20The%20Four%20Seasons/Gil%20Shaham-%20Orpheus%20Chamber%20Orchestra%20-%20Vivaldi-%20The%20Four%20Seasons.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Keith%20Jarrett%20-%20J.%20S.%20Bach;%20Goldberg%20Variations%20%7BHarpsichord%7D%20(1989)%20%5BEAC%20-%20Lame%20V0%5D/00.%20Keith%20Jarrett%20-%20J.%20S.%20Bach;%20Goldberg%20Variations%20%7BHarpsichord%7D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Marilyn%20Manson%20-%20Lest%20We%20Forget%20The%20Best%20Of%20@(320)/00.%20Marilyn%20Manson%20-%20Lest%20We%20Forget.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Marilyn%20Manson%20-%20Lest%20We%20Forget%20The%20Best%20Of%20@(320)/00.%20Marilyn%20Manson%20-%20Lest%20We%20Forget.xspf=
file:../../media/esterno_xfs/data/Musica/Musica_4/Native%20American%20Music/RG-%20Native%20American%20Music.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Orchestre%20Poly-Rythmo%20de%20Cotonou%20-%20Echos%20Hypnotiques%20%5B2009%5D%20%5BFLAC%5D/Orchestre%20Poly-Rythmo%20de%20Cotonou%20-%20Echos%20Hypnotiques.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Paganini%20Concerto%20N.2%20per%20violino%20ed%20orchestra%20in%20Si%20minore%20OP.7/Paganini%20-%20Concerto%20N.2%20per%20violino%20ed%20orchestra%20in%20Si%20minore%20OP.7.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/REM%20-%20Collapse%20into%20Now%202011%20%5BFLAC%5D%20%5Bh33t%5D%20-%20Kitlope/R.E.M.%20-%20Collapse%20Into%20Now.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/REM%20-%20Discography%20(1983%20-%202008)%20%5BFLAC%5D%20%5Bh33t%5D%20-%20Kitlope/REM%20-%20New%20Adventures%20In%20Hi-Fi%201996/R.E.M.%20-%20New%20Adventures%20in%20Hi-Fi.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/REM%20-%20Discography%20(1983%20-%202008)%20%5BFLAC%5D%20%5Bh33t%5D%20-%20Kitlope/REM%20-%20Out%20of%20Time%201991/R.E.M.%20-%20Out%20Of%20Time.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Ravel%20-%20Piano%20Concertos%20(Zimerman,%20Boulez)/%5BKrystian%20Zimerman%20-%20Pierre%20Boulez%5D%20Ravel%20-%20The%20Piano%20Concertos,%20Valses%20Nobles.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Yes%20-%20Fly%20From%20Here%20(2011)/Yes%20-%20Fly%20From%20Here%20(2011)/00-yes-fly_from_here-2011.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_4/Yes%20-%20Fragile%20%5BMP3%20@%20320%5D%20(oan)/Yes%20-%20Fragile.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_5/Aleksandr%20Tsiboulski%20-%20Australian%20Guitar%20Music%20(2010)%20%5BFLAC%5D/Aleksandr%20Tsiboulski%20-%20Australian%20Guitar%20Music%20(2010)%20%5BFLAC%5D.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_usb/Claudio_Abbado-Beethoven_In_Berlin_(B00000E53B)-2005-DGN/00-claudio_abbado-beethoven_in_berlin_(b00000e53b)-2005-dgn.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_usb/Justin%20Bieber%20-%20My%20World%20(2009)%20-%20R&B%20%5Bwww.torrentazos.com%5D/00-justin_bieber_-_my_world-2009-ysp.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_usb/Philip%20Glass%20The%20Illusionist%20-%202006/00-philip_glass-the_illusionist-ost-2006.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_usb/Pink%20Floyd%20-%20The%20Final%20Cut%20(1983)%20%5BEac-Flac%5D%5BJnSnow%5D%7BCR-BT%7D/Pink%20Floyd%20-%20The%20Final%20Cut.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_usb/Porcupine_Tree-Fear_Of_A_Blank_Planet-2007/00-porcupine_tree-fear_of_a_blank_planet-2007.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_usb/Sting%20%20If%20On%20A%20Winter's%20Night%20(2009)/00.%20Sting%20-%20If%20On%20A%20Winter's%20Night.pls=
file:../../media/esterno_xfs/data/Musica/Musica_usb/VA%20-%20Avatar%20OST/00.%20Avatar-OST.m3u=
file:../../media/esterno_xfs/data/Musica/Musica_usb/VA%20-%20Avatar%20OST/00.%20Avatar-OST.pls=
file:../../media/esterno_xfs/data/Musica/Musica_usb/VA-Radioplay_Dance_Express_864D-2010-SC/00-va-radioplay_dance_express_864d-2010.m3u=

[MainWindow]
Height 1080=774
State=AAAA/wAAAAD9AAAAAQAAAAAAAAXCAAACzfwBAAAAA/sAAAAkAE0AZQBkAGkAYQAgAFMAbwB1AHIAYwBlAHMAIABkAG8AYwBrAQAAAAAAAAGnAAAAgQEAAAX7AAAAGABDAG8AbgB0AGUAeAB0ACAAZABvAGMAawEAAAGqAAACHQAAAE4BAAAF+wAAABoAUABsAGEAeQBsAGkAcwB0ACAAZABvAGMAawEAAAPKAAAB+AAAARwBAAAFAAAAAAAAAs0AAAAEAAAABAAAAAgAAAAI/AAAAAcAAAACAAAAAAAAAAMAAAABAAAAFgBNAGEAaQBuAFQAbwBvAGwAYgBhAHIAAAAAAP////8AAAAAAAAAAAAAAAMAAAAAAAAAAwAAAAAAAAADAAAAAAAAAAMAAAAAAAAAAwAAAAEAAAAYAFMAbABpAG0AIABUAG8AbwBsAGIAYQByAQAAAAD/////AAAAAAAAAAA=
ToolBarsMovable=Disabled
Width 1920=1474

[Moodbar]
ShowMoodbarInSlider=true

[MySQL]
Password=+++++++++++++
UseServer=true

[Notification Messages]
hideOnCloseInfo=false

[OrganizeCollectionDialog]
Custom Scheme=%artist%/%album%/%track%_-_%title%
Mode=Basic
Organize Directory=/media/esterno_xfs/data/Musica

[Playback]
Master Volume=100

[Playlist Layout]
CurrentLayout=copia di Default

[Playlist Search]
MatchAlbum=true
MatchArtist=true
MatchComposer=true
MatchGenre=false
MatchRating=false
MatchTrack=true
ShowOnlyMatches=false

[Playlist Sorting]
SortPath=

[Podcast View]
Merged View=false

[Podcasts]
AutoUpdate Interval=30
Maximum Simultaneous Downloads=4
Maximum Simultaneous Updates=4

[Saved Playlists View]
Merged View=false

[ScriptManager]
LastUpdateCheck=1313261388

[Service_Magnatune]
email=
isMember=false
lastUpdate=1312745047
membershipType=1
password=
streamType=ogg
username=

[TagDialog]
CurrentTab=1

[TagGuesser]
Case options=0
Eliminate trailing spaces=false
Replace underscores=false
Use full file path=false
Comment 52 Myriam Schweingruber 2011-08-14 21:03:28 UTC
*** Bug 280054 has been marked as a duplicate of this bug. ***
Comment 53 Myriam Schweingruber 2011-08-14 21:04:21 UTC
*** Bug 280081 has been marked as a duplicate of this bug. ***
Comment 54 Myriam Schweingruber 2011-08-15 20:16:03 UTC
*** Bug 280148 has been marked as a duplicate of this bug. ***
Comment 55 Serge Ratke 2011-08-16 07:26:44 UTC
i had amarokrc files removed, so it worked ... for a couple of weeks. today amarok started to crash again.
Comment 56 Marian Kyral 2011-08-16 09:29:17 UTC
(In reply to comment #55)
> i had amarokrc files removed, so it worked ... for a couple of weeks. today
> amarok started to crash again.

For me, it starts crashing when I change context tab from the first one to other (wikipedia) and quit amarok. Amarok wil crash after start.

To fix it, it is enough to edit .kde4/share/config/amarok_homerc file and replace line "firstShowingApplet=<some_number>" with "firstShowingApplet=0"

Then amarok will start correctly.
Comment 57 Sergio Casagrande 2011-08-16 12:51:18 UTC
The Marian solution works for me also.
Amarok works again.
Thank you
Comment 58 Myriam Schweingruber 2011-08-21 15:29:35 UTC
*** Bug 280509 has been marked as a duplicate of this bug. ***
Comment 59 giggi1999 2011-08-21 21:47:00 UTC
(In reply to comment #56)
> (In reply to comment #55)
> > i had amarokrc files removed, so it worked ... for a couple of weeks. today
> > amarok started to crash again.
> 
> For me, it starts crashing when I change context tab from the first one to
> other (wikipedia) and quit amarok. Amarok wil crash after start.
> 
> To fix it, it is enough to edit .kde4/share/config/amarok_homerc file and
> replace line "firstShowingApplet=<some_number>" with "firstShowingApplet=0"
> 
> Then amarok will start correctly.

I confirm this method for solving the problem.
I've changed  firstShowingApplet=3 to firstShowingApplet=0 
And the has immediately disappeared.
Comment 60 Myriam Schweingruber 2011-09-08 20:15:58 UTC
*** Bug 281630 has been marked as a duplicate of this bug. ***
Comment 61 Myriam Schweingruber 2011-09-16 10:44:08 UTC
*** Bug 282042 has been marked as a duplicate of this bug. ***
Comment 62 Ralf Engels 2011-09-21 18:49:22 UTC
Git commit a72943f6ad7a6cc3c0ef227162faf76df146b18e by Ralf Engels.
Committed on 21/09/2011 at 19:14.
Pushed by rengels into branch 'master'.

Don't use QWeakPointer just for the sake of it.
Removed the usage of weak pointers in ContextView.

BUG: 258741
FIXED-IN: 2.5

M  +36   -50   src/context/ContextView.cpp
M  +8    -5    src/context/ContextView.h

http://commits.kde.org/amarok/a72943f6ad7a6cc3c0ef227162faf76df146b18e
Comment 63 Myriam Schweingruber 2011-09-22 19:15:33 UTC
*** Bug 282570 has been marked as a duplicate of this bug. ***
Comment 64 Myriam Schweingruber 2011-10-05 06:34:04 UTC
*** Bug 283240 has been marked as a duplicate of this bug. ***
Comment 65 Myriam Schweingruber 2011-10-17 14:42:53 UTC
*** Bug 284271 has been marked as a duplicate of this bug. ***
Comment 66 Myriam Schweingruber 2011-10-21 15:02:44 UTC
*** Bug 284591 has been marked as a duplicate of this bug. ***
Comment 67 Myriam Schweingruber 2011-10-27 17:36:53 UTC
*** Bug 285064 has been marked as a duplicate of this bug. ***
Comment 68 Myriam Schweingruber 2011-10-27 17:46:19 UTC
*** Bug 285103 has been marked as a duplicate of this bug. ***
Comment 69 Myriam Schweingruber 2011-11-01 13:21:42 UTC
*** Bug 285369 has been marked as a duplicate of this bug. ***
Comment 70 Myriam Schweingruber 2011-11-06 22:18:54 UTC
*** Bug 285865 has been marked as a duplicate of this bug. ***
Comment 71 Myriam Schweingruber 2011-11-06 22:19:23 UTC
*** Bug 285875 has been marked as a duplicate of this bug. ***
Comment 72 Myriam Schweingruber 2011-11-14 13:38:33 UTC
*** Bug 286581 has been marked as a duplicate of this bug. ***
Comment 73 Myriam Schweingruber 2011-11-14 21:19:51 UTC
*** Bug 286610 has been marked as a duplicate of this bug. ***
Comment 74 jonathas.lucas 2011-11-14 21:25:34 UTC
Created attachment 65681 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

Amarok crashes in startup, doesn't start

-- Backtrace (Reduced):
#7  0xb5a5dd54 in QAbstractAnimation::state (this=0x5b0da9d6) at animation/qabstractanimation.cpp:510
#8  0xb6ccbb21 in Context::ContextView::addCollapseAnimation (this=0x88ffc50, anim=0x8e972d0) at ../../src/context/ContextView.cpp:240
#9  0xb6cc6d7d in Context::Applet::collapse (this=0x8f66b80, on=false) at ../../src/context/Applet.cpp:320
#10 0xb6cc7263 in Context::Applet::setCollapseOff (this=0x8f66b80) at ../../src/context/Applet.cpp:279
#11 0xa59e8cf2 in Albums::dataUpdated (this=0x8f66b80, data=<optimized out>, name=<optimized out>) at ../../../../../src/context/applets/albums/Albums.cpp:155
Comment 75 jonathas.lucas 2011-11-14 22:22:08 UTC
Created attachment 65683 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Trying to open Amarok. It crashed and does not open at all.

-- Backtrace (Reduced):
#7  operator== (value=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#8  data (this=<optimized out>) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:575
#9  Context::ContextView::addCollapseAnimation (this=0x9b52bf0, anim=0xa1b9c28) at ../../src/context/ContextView.cpp:239
#10 0xb6cf6d7d in Context::Applet::collapse (this=0xa11ba68, on=false) at ../../src/context/Applet.cpp:320
#11 0xb6cf7263 in Context::Applet::setCollapseOff (this=0xa11ba68) at ../../src/context/Applet.cpp:279
Comment 76 Myriam Schweingruber 2011-11-20 22:08:25 UTC
*** Bug 287061 has been marked as a duplicate of this bug. ***
Comment 77 Myriam Schweingruber 2011-11-29 16:54:44 UTC
*** Bug 287775 has been marked as a duplicate of this bug. ***
Comment 78 Myriam Schweingruber 2011-11-29 16:56:15 UTC
*** Bug 287776 has been marked as a duplicate of this bug. ***
Comment 79 Myriam Schweingruber 2011-12-14 07:07:31 UTC
*** Bug 288863 has been marked as a duplicate of this bug. ***
Comment 80 Myriam Schweingruber 2011-12-17 16:30:10 UTC
*** Bug 289053 has been marked as a duplicate of this bug. ***
Comment 81 Myriam Schweingruber 2011-12-17 16:32:14 UTC
*** Bug 289080 has been marked as a duplicate of this bug. ***
Comment 82 Myriam Schweingruber 2011-12-24 16:19:19 UTC
*** Bug 289743 has been marked as a duplicate of this bug. ***
Comment 83 Myriam Schweingruber 2011-12-24 16:20:35 UTC
(In reply to comment #82)
> *** Bug 289743 has been marked as a duplicate of this bug. ***

Backtrace from Amarok 2.5. Reopening based on ts report:

Thread 1 (Thread 0x7fc50a49d7c0 (LWP 2257)):
[KCrash Handler]
#6  QAbstractAnimation::state (this=0x61) at
animation/qabstractanimation.cpp:510
#7  0x00007fc5091237fa in Context::ContextView::addCollapseAnimation
(this=0x2866180, anim=0x7fc4c4269320) at ../../src/context/ContextView.cpp:245
#8  0x00007fc5091203be in Context::Applet::collapse (this=0x2bd7d70,
on=<optimized out>) at ../../src/context/Applet.cpp:321
#9  0x00007fc4d92c563f in WikipediaApplet::dataUpdated (this=0x2bd7d70,
source=<optimized out>, data=<optimized out>) at
../../../../../src/context/applets/wikipedia/WikipediaApplet.cpp:696
#10 0x00007fc4d92c9eda in WikipediaApplet::qt_metacall (this=0x2bd7d70,
_c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffb5ca53f0) at
./WikipediaApplet.moc:116
#11 0x00007fc50774aeba in QMetaObject::activate (sender=0x2ba94f0, m=<optimized
out>, local_signal_index=<optimized out>, argv=0x7fffb5ca53f0) at
kernel/qobject.cpp:3278
#12 0x00007fc503ff1337 in Plasma::DataContainer::dataUpdated (this=<optimized
out>, _t1=<optimized out>, _t2=<optimized out>) at ./datacontainer.moc:112
#13 0x00007fc503ff185e in Plasma::DataContainer::checkForUpdate
(this=0x2ba94f0) at ../../plasma/datacontainer.cpp:295
#14 0x00007fc503ff318f in timerEvent (this=<optimized out>, event=<optimized
out>) at ../../plasma/dataengine.cpp:387
#15 Plasma::DataEngine::timerEvent (this=<optimized out>, event=<optimized
out>) at ../../plasma/dataengine.cpp:362
#16 0x00007fc50774e789 in QObject::event (this=0x26644a0, e=<optimized out>) at
kernel/qobject.cpp:1181
#17 0x00007fc508138424 in notify_helper (e=0x7fffb5ca5990, receiver=0x26644a0,
this=0x189b8a0) at kernel/qapplication.cpp:4486
#18 QApplicationPrivate::notify_helper (this=0x189b8a0, receiver=0x26644a0,
e=0x7fffb5ca5990) at kernel/qapplication.cpp:4458
#19 0x00007fc50813d291 in QApplication::notify (this=0x7fffb5ca5c90,
receiver=0x26644a0, e=0x7fffb5ca5990) at kernel/qapplication.cpp:4365
#20 0x00007fc509eab466 in KApplication::notify (this=0x7fffb5ca5c90,
receiver=0x26644a0, event=0x7fffb5ca5990) at
../../kdeui/kernel/kapplication.cpp:311
#21 0x00007fc507737afc in QCoreApplication::notifyInternal
(this=0x7fffb5ca5c90, receiver=0x26644a0, event=0x7fffb5ca5990) at
kernel/qcoreapplication.cpp:787
#22 0x00007fc507764d62 in sendEvent (event=0x7fffb5ca5990, receiver=<optimized
out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#23 QTimerInfoList::activateTimers (this=0x1894250) at
kernel/qeventdispatcher_unix.cpp:603
#24 0x00007fc507762514 in timerSourceDispatch (source=<optimized out>) at
kernel/qeventdispatcher_glib.cpp:184
#25 0x00007fc501b49a5d in g_main_context_dispatch () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007fc501b4a258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007fc501b4a429 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007fc507762ed6 in QEventDispatcherGlib::processEvents (this=0x16baf40,
flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#29 0x00007fc5081e007e in QGuiEventDispatcherGlib::processEvents
(this=<optimized out>, flags=<optimized out>) at
kernel/qguieventdispatcher_glib.cpp:204
#30 0x00007fc507736cf2 in QEventLoop::processEvents (this=<optimized out>,
flags=...) at kernel/qeventloop.cpp:149
#31 0x00007fc507736ef7 in QEventLoop::exec (this=0x7fffb5ca5c20, flags=...) at
kernel/qeventloop.cpp:201
#32 0x00007fc50773b789 in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:1064
#33 0x0000000000408e2e in main (argc=1, argv=0x7fffb5ca8118) at
../../src/main.cpp:303
Comment 84 Myriam Schweingruber 2011-12-27 19:47:42 UTC
*** Bug 289914 has been marked as a duplicate of this bug. ***
Comment 85 Serge Ratke 2011-12-30 11:10:38 UTC
Created attachment 67239 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

maybe the following is of any relevance, so there goes:

amarok starts in the systray, thus the main ui may not be initialised. amarok crashes as soon as i start the playback with Meta+C. however, if i had the main application window open before the playback, no crash.

i also tried the solutions #6 and #56 ... to no avail.

-- Backtrace (Reduced):
#6  QAbstractAnimation::state (this=0x61) at animation/qabstractanimation.cpp:510
#7  0x00007fa05a5fc0ea in Context::ContextView::addCollapseAnimation (this=0x2070cf0, anim=0x1b63070) at /var/tmp/portage/media-sound/amarok-2.5.0-r1/work/amarok-2.5.0/src/context/ContextView.cpp:245
#8  0x00007fa05a5f8b74 in Context::Applet::collapse (this=0x1d61aa0, on=<optimized out>) at /var/tmp/portage/media-sound/amarok-2.5.0-r1/work/amarok-2.5.0/src/context/Applet.cpp:321
#9  0x00007fa00ab50669 in LyricsApplet::dataUpdated (this=0x1d61aa0, name=<optimized out>, data=<optimized out>) at /var/tmp/portage/media-sound/amarok-2.5.0-r1/work/amarok-2.5.0/src/context/applets/lyrics/LyricsApplet.cpp:611
#10 0x00007fa00ab51bf6 in LyricsApplet::qt_metacall (this=0x1d61aa0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff3d5d3f0) at /var/tmp/portage/media-sound/amarok-2.5.0-r1/work/amarok-2.5.0_build/src/context/applets/lyrics/LyricsApplet.moc:102
Comment 86 Myriam Schweingruber 2011-12-31 13:20:46 UTC
*** Bug 290254 has been marked as a duplicate of this bug. ***
Comment 87 Mathieu MD 2011-12-31 15:59:23 UTC
In ~/.kde/share/config/amarokrc I removed "AnimateAppletCollapse=true" from the
"[General Options]" section and have been able to start Amarok again, without losing all my amarokrc configuration.

The file amarok_homerc still have an "firstShowingApplet=4" and "plugins=currenttrack,lyrics,wikipedia,similarArtists,albums" in "[Containment 0]" but it does not crash Amarok.
Comment 88 Myriam Schweingruber 2012-01-06 22:07:34 UTC
*** Bug 290743 has been marked as a duplicate of this bug. ***
Comment 89 Myriam Schweingruber 2012-01-07 23:11:34 UTC
*** Bug 290880 has been marked as a duplicate of this bug. ***
Comment 90 Myriam Schweingruber 2012-01-09 00:41:46 UTC
*** Bug 290976 has been marked as a duplicate of this bug. ***
Comment 91 Myriam Schweingruber 2012-01-21 12:35:45 UTC
*** Bug 291971 has been marked as a duplicate of this bug. ***
Comment 92 Myriam Schweingruber 2012-01-21 12:37:40 UTC
Changing priority.
Comment 93 Myriam Schweingruber 2012-01-24 07:32:13 UTC
*** Bug 292155 has been marked as a duplicate of this bug. ***
Comment 94 Myriam Schweingruber 2012-01-24 14:51:58 UTC
*** Bug 292191 has been marked as a duplicate of this bug. ***
Comment 95 Myriam Schweingruber 2012-01-29 17:44:28 UTC
*** Bug 292688 has been marked as a duplicate of this bug. ***
Comment 96 Myriam Schweingruber 2012-02-09 17:25:25 UTC
*** Bug 293212 has been marked as a duplicate of this bug. ***
Comment 97 Myriam Schweingruber 2012-02-09 21:12:48 UTC
*** Bug 293384 has been marked as a duplicate of this bug. ***
Comment 98 Myriam Schweingruber 2012-02-09 21:37:31 UTC
*** Bug 293613 has been marked as a duplicate of this bug. ***
Comment 99 Myriam Schweingruber 2012-02-11 16:03:55 UTC
*** Bug 293837 has been marked as a duplicate of this bug. ***
Comment 100 Myriam Schweingruber 2012-02-18 22:15:15 UTC
*** Bug 294365 has been marked as a duplicate of this bug. ***
Comment 101 Myriam Schweingruber 2012-02-22 16:58:17 UTC
*** Bug 294614 has been marked as a duplicate of this bug. ***
Comment 102 Myriam Schweingruber 2012-03-08 23:14:03 UTC
*** Bug 295541 has been marked as a duplicate of this bug. ***
Comment 103 jos poortvliet 2012-03-22 11:49:13 UTC
Created attachment 69807 [details]
New crash information added by DrKonqi

amarok (2.5-GIT) on KDE Platform 4.8.1 (4.8.1) "release 483" using Qt 4.8.0

Amarok kept crashing on startup. After changing amarok_homerc from:
[Containment 0]
firstShowingApplet=1
plugins=currenttrack,lyrics,wikipedia

to
[Containment 0]
firstShowingApplet=1
plugins=currenttrack,lyrics,wikipedia

the problem was solved. In other words, it is indeed the lyrics applet which causes this crash.

-- Backtrace (Reduced):
#6  QAbstractAnimation::state (this=0x81) at animation/qabstractanimation.cpp:659
#7  0x0000003ca2fe635a in Context::ContextView::addCollapseAnimation (this=0x2680f80, anim=0x2633390) at /usr/src/debug/amarok-2.5.40git.1331541077/src/context/ContextView.cpp:245
#8  0x0000003ca2fe2eae in Context::Applet::collapse (this=0x216d1c0, on=<optimized out>) at /usr/src/debug/amarok-2.5.40git.1331541077/src/context/Applet.cpp:321
#9  0x00007fb75088fa1d in LyricsApplet::dataUpdated (this=0x216d1c0, name=<optimized out>, data=<optimized out>) at /usr/src/debug/amarok-2.5.40git.1331541077/src/context/applets/lyrics/LyricsApplet.cpp:611
#10 0x00007fb75089115d in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /usr/src/debug/amarok-2.5.40git.1331541077/build/src/context/applets/lyrics/LyricsApplet.moc:77
Comment 104 Myriam Schweingruber 2012-03-22 12:26:45 UTC
Jos there is no change in what you suggest...

Try disabling the applet animation in $HOME/.kde4/share/config/amarokrc, that should be the best workaround for this problem as it is indeed the applet animation causing the problem: Context::ContextView::addCollapseAnimation is the exact place where the crash happens.

Since we are working on switching from plasma to QML for the ContextView this might take some time to solve, please use the workaround.
Comment 105 Valery Mamonov 2012-03-22 12:36:32 UTC
Workaround, suggested by Jos, worked for me too.

[Containment 0]
firstShowingApplet=1
plugins=info,wikipedia,lyrics,albums

[Directories]
dir_config[$d]



2012/3/22 Myriam Schweingruber <myriam@kde.org>

> https://bugs.kde.org/show_bug.cgi?id=258741
>
> --- Comment #104 from Myriam Schweingruber <myriam@kde.org> ---
> Jos there is no change in what you suggest...
>
> Try disabling the applet animation in $HOME/.kde4/share/config/amarokrc,
> that
> should be the best workaround for this problem as it is indeed the applet
> animation causing the problem: Context::ContextView::addCollapseAnimation
> is
> the exact place where the crash happens.
>
>
Do you mean change in
[General Options]
AnimateAppletCollapse=true

to

[General Options]
AnimateAppletCollapse=false
?




> Since we are working on switching from plasma to QML for the ContextView
> this
> might take some time to solve, please use the workaround.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 106 Myriam Schweingruber 2012-03-22 12:47:56 UTC
> Do you mean change in
> [General Options]
> AnimateAppletCollapse=true
> 
> to
> 
> [General Options]
> AnimateAppletCollapse=false

Just remove the line. That should be enough.
Comment 107 Valery Mamonov 2012-03-23 05:28:36 UTC
Created attachment 69826 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed:

just logged on, amarok started automatically from saved kde session, 2 seconds of playback and crash.
after that I restarted amarok, but it crashed again.
Applied workaround:
edited
~/.kde/share/config/amarokrc
deleted string 
AnimateAppletCollapse=true
from section
[General Options]

after that workaround amarok started ok

-- Backtrace (Reduced):
#6  QAbstractAnimation::state (this=0x61) at animation/qabstractanimation.cpp:659
#7  0x00007fbb7a9ffcfa in Context::ContextView::addCollapseAnimation (this=0xcca0d0, anim=0x1fd8280) at ../../src/context/ContextView.cpp:245
#8  0x00007fbb7a9fc8be in Context::Applet::collapse (this=0x1faeae0, on=<optimized out>) at ../../src/context/Applet.cpp:321
#9  0x00007fbb65b24a0d in LyricsApplet::dataUpdated (this=0x1faeae0, name=..., data=...) at ../../../../../src/context/applets/lyrics/LyricsApplet.cpp:611
#10 0x00007fbb65b26216 in LyricsApplet::qt_metacall (this=0x1faeae0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff303080d0) at ./LyricsApplet.moc:102
Comment 108 Вячеслав 2012-03-24 08:27:25 UTC
23.03.2012 07:28, Valery Mamonov написал:
> https://bugs.kde.org/show_bug.cgi?id=258741
>
> --- Comment #107 from Valery Mamonov<valerymamonov@gmail.com>  ---
> Created attachment 69826 [details]
>    -->  https://bugs.kde.org/attachment.cgi?id=69826&action=edit
> New crash information added by DrKonqi
>
> amarok (2.5.0) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0
>
> - What I was doing when the application crashed:
>
> just logged on, amarok started automatically from saved kde session, 2 seconds
> of playback and crash.
> after that I restarted amarok, but it crashed again.
> Applied workaround:
> edited
> ~/.kde/share/config/amarokrc
> deleted string
> AnimateAppletCollapse=true
> from section
> [General Options]
>
> after that workaround amarok started ok
>
> -- Backtrace (Reduced):
> #6  QAbstractAnimation::state (this=0x61) at
> animation/qabstractanimation.cpp:659
> #7  0x00007fbb7a9ffcfa in Context::ContextView::addCollapseAnimation
> (this=0xcca0d0, anim=0x1fd8280) at ../../src/context/ContextView.cpp:245
> #8  0x00007fbb7a9fc8be in Context::Applet::collapse (this=0x1faeae0,
> on=<optimized out>) at ../../src/context/Applet.cpp:321
> #9  0x00007fbb65b24a0d in LyricsApplet::dataUpdated (this=0x1faeae0, name=...,
> data=...) at ../../../../../src/context/applets/lyrics/LyricsApplet.cpp:611
> #10 0x00007fbb65b26216 in LyricsApplet::qt_metacall (this=0x1faeae0,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff303080d0) at
> ./LyricsApplet.moc:102
>
Здравствуйте! Пишите на русском языке пожалуйста!. :-)
Comment 109 Myriam Schweingruber 2012-03-24 08:47:12 UTC
(In reply to comment #108)

> Здравствуйте! Пишите на русском языке пожалуйста!. :-)

English, please!
Comment 110 Myriam Schweingruber 2012-03-26 06:21:23 UTC
*** Bug 296685 has been marked as a duplicate of this bug. ***
Comment 111 Myriam Schweingruber 2012-03-30 18:07:45 UTC
*** Bug 297010 has been marked as a duplicate of this bug. ***
Comment 112 Myriam Schweingruber 2012-04-01 22:34:41 UTC
*** Bug 297259 has been marked as a duplicate of this bug. ***
Comment 113 Myriam Schweingruber 2012-04-13 10:34:13 UTC
*** Bug 297982 has been marked as a duplicate of this bug. ***
Comment 114 Myriam Schweingruber 2012-04-19 06:33:27 UTC
*** Bug 298382 has been marked as a duplicate of this bug. ***
Comment 115 Hendrik Maryns 2012-05-02 08:06:46 UTC
Created attachment 70801 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:

Amarok is in autostart programs.  Crashed at startup.  Installed newer version from packman, still crashed, /after/ asking for new option (country I’m in).

Removing the string as described in comment 107 solved it.

-- Backtrace (Reduced):
#6  0xb633fdf7 in QAbstractAnimation::state (this=0xb5730000) at animation/qabstractanimation.cpp:510
#7  0xb6b09211 in Context::ContextView::addCollapseAnimation(QAbstractAnimation*) () from /usr/lib/libamaroklib.so.1
#8  0xb6b0443d in Context::Applet::collapse(bool) () from /usr/lib/libamaroklib.so.1
#9  0xb6b04923 in Context::Applet::setCollapseOff() () from /usr/lib/libamaroklib.so.1
[...]
#12 0xb645e7ed in metacall (argv=0xbf86fed4, idx=73, cl=QMetaObject::InvokeMetaMethod, object=0x89b3628) at kernel/qmetaobject.cpp:237
Comment 116 Myriam Schweingruber 2012-05-02 21:11:56 UTC
Hendrik: please do not add information from an older version to bugs about newer versions. Also there is already far enough information in this report.
Comment 117 Myriam Schweingruber 2012-05-06 10:58:34 UTC
*** Bug 299380 has been marked as a duplicate of this bug. ***
Comment 118 Matěj Laitl 2012-05-08 11:20:31 UTC
Created attachment 70948 [details]
contextview-initialise-and-debugging.patch

Those who are still able to reproduce this bug: please apply this patch and re-test. The patch should apply both to current git and Amaork 2.5. I suggest you ask on #amarok on IRC to get advice on how to patch & build Amarok.

Please report whether the bug is solved or not and if not, please attach whole amarok debugging log from the crash (amarok --debug --nofork) and refreshed backtrace. (be sure to have debugging symbols for Amarok, kdelibs, Qt, glibc present)
Comment 119 Matěj Laitl 2012-05-08 11:22:19 UTC
Waiting for your reply.
Comment 120 Ben 2012-05-10 05:47:09 UTC
Hi Matěj,

I have patched Amarok as requested and have been enjoying it again now
for several hours this evening.  I have started Amarok up and shut it
down several times to see if I can recreate the crash I was getting at
start up.  Thus far, all is working well -- I have not noticed any other
problems. If I notice any problems over the next few days, I will let
you know.  For now, it looks as if the problem is fixed. 

Thanks for the patch!  Please also pass my thanks along to Myriam for
her blog on how to patch Amarok, that was very helpful.  

Cheers,

Ben 

On Tue, 2012-05-08 at 11:20 +0000, Matěj Laitl wrote: 
> https://bugs.kde.org/show_bug.cgi?id=258741
> 
> --- Comment #118 from Matěj Laitl <matej@laitl.cz> ---
> Created attachment 70948 [details]
>   --> https://bugs.kde.org/attachment.cgi?id=70948&action=edit
> contextview-initialise-and-debugging.patch
> 
> Those who are still able to reproduce this bug: please apply this patch and
> re-test. The patch should apply both to current git and Amaork 2.5. I suggest
> you ask on #amarok on IRC to get advice on how to patch & build Amarok.
> 
> Please report whether the bug is solved or not and if not, please attach whole
> amarok debugging log from the crash (amarok --debug --nofork) and refreshed
> backtrace. (be sure to have debugging symbols for Amarok, kdelibs, Qt, glibc
> present)
>
Comment 121 Carlos 2012-05-10 20:43:33 UTC
Created attachment 71008 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

Amarok crash when I start them. Every time.

-- Backtrace (Reduced):
#6  QAbstractAnimation::state (this=0x40) at animation/qabstractanimation.cpp:662
#7  0x00007f397a6494aa in Context::ContextView::addCollapseAnimation (this=0x1d86ce0, anim=0x1f7ab10) at ../../src/context/ContextView.cpp:245
#8  0x00007f397a645ffe in Context::Applet::collapse (this=0x1f2d6d0, on=<optimized out>) at ../../src/context/Applet.cpp:321
#9  0x00007f391f2e096a in updateInterface (appletState=TabsApplet::FetchingState, this=0x1f2d6d0) at ../../../../../src/context/applets/tabs/TabsApplet.cpp:249
#10 TabsApplet::updateInterface (this=0x1f2d6d0, appletState=TabsApplet::FetchingState) at ../../../../../src/context/applets/tabs/TabsApplet.cpp:211
Comment 122 Matěj Laitl 2012-05-11 14:14:07 UTC
Git commit 7ff8068a993b3ef08a02eb219707b69a1bf1dcf7 by Matěj Laitl.
Committed on 11/05/2012 at 12:53.
Pushed by laitl into branch 'master'.

Hopefully fix crash in ContextView on startup

It is strange that simple initialization to zero fixes the problem, but
it fixes the crash for at least one reporter.

Reporters, please rebuild Amarok from current git and should loudly if
you can still reproduce the bug.

BUGFIXES:
 * Fix crash on startup related to ContextView
FIXED-IN: 2.6
DIGEST: Amarok crashfix

M  +1    -0    ChangeLog
M  +2    -0    src/context/ContextView.cpp
M  +1    -1    src/context/ContextView.h

http://commits.kde.org/amarok/7ff8068a993b3ef08a02eb219707b69a1bf1dcf7
Comment 123 Matěj Laitl 2012-05-11 15:01:34 UTC
Git commit 349e3b046c102dedba24bae0abec6ce812d00ec0 by Matěj Laitl.
Committed on 11/05/2012 at 16:55.
Pushed by laitl into branch 'master'.

ContextView: move s_self assignment so that assert catches incorrect usage

Thanks to Harald Sitter for suggesting it and Sven for notifying me
about it.

M  +3    -2    src/context/ContextView.cpp

http://commits.kde.org/amarok/349e3b046c102dedba24bae0abec6ce812d00ec0
Comment 124 Ben 2012-05-13 02:37:42 UTC
Hi  Matěj,

I placed the new ContextView.cpp in the sources that I retrieved from
git the other day and rebuilt Amarok as you requested.  So far, I have
not had any issues with the version I built earlier today.  

Cheers,

Ben 



On Fri, 2012-05-11 at 14:14 +0000, Matěj Laitl wrote: 
> https://bugs.kde.org/show_bug.cgi?id=258741
> 
> Matěj Laitl <matej@laitl.cz> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|NEEDSINFO                   |RESOLVED
>    Version Fixed In|                            |2.6
>          Resolution|WAITINGFORINFO              |FIXED
>       Latest Commit|                            |http://commits.kde.org/amar
>                    |                            |ok/7ff8068a993b3ef08a02eb21
>                    |                            |9707b69a1bf1dcf7
> 
> --- Comment #122 from Matěj Laitl <matej@laitl.cz> ---
> Git commit 7ff8068a993b3ef08a02eb219707b69a1bf1dcf7 by Matěj Laitl.
> Committed on 11/05/2012 at 12:53.
> Pushed by laitl into branch 'master'.
> 
> Hopefully fix crash in ContextView on startup
> 
> It is strange that simple initialization to zero fixes the problem, but
> it fixes the crash for at least one reporter.
> 
> Reporters, please rebuild Amarok from current git and should loudly if
> you can still reproduce the bug.
> 
> BUGFIXES:
>  * Fix crash on startup related to ContextView
> FIXED-IN: 2.6
> DIGEST: Amarok crashfix
> 
> M  +1    -0    ChangeLog
> M  +2    -0    src/context/ContextView.cpp
> M  +1    -1    src/context/ContextView.h
> 
> http://commits.kde.org/amarok/7ff8068a993b3ef08a02eb219707b69a1bf1dcf7
>
Comment 125 Chuchus Taylor 2012-05-13 16:36:40 UTC
Created attachment 71071 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:
Every time, when I tried to open a track .mp3, the program krash... Don't open it...

-- Backtrace (Reduced):
#6  QAbstractAnimation::state (this=0x73007200650076) at animation/qabstractanimation.cpp:662
#7  0x00007f7602a324aa in Context::ContextView::addCollapseAnimation (this=0x2cbdf60, anim=0x2aabc90) at ../../src/context/ContextView.cpp:245
#8  0x00007f7602a2effe in Context::Applet::collapse (this=0x2dcbca0, on=<optimized out>) at ../../src/context/Applet.cpp:321
#9  0x00007f75b00e6ecd in LyricsApplet::dataUpdated (this=0x2dcbca0, name=..., data=...) at ../../../../../src/context/applets/lyrics/LyricsApplet.cpp:611
#10 0x00007f75b00e860d in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at ./LyricsApplet.moc:77
Comment 126 Myriam Schweingruber 2012-05-14 14:57:50 UTC
(In reply to comment #125)
> Created attachment 71071 [details]
> New crash information added by DrKonqi
> 
> amarok (2.5.0) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1
> 
> - What I was doing when the application crashed:
> Every time, when I tried to open a track .mp3, the program krash... Don't
> open it...

As you can see this is already fixed for the next version, no need to report crashes unless you use the development version of the day.

As a workaround, remove the animation in the amarokrc file, see also comment #47
Comment 127 Myriam Schweingruber 2012-05-31 18:44:11 UTC
*** Bug 300890 has been marked as a duplicate of this bug. ***
Comment 128 Myriam Schweingruber 2012-05-31 19:05:56 UTC
*** Bug 300953 has been marked as a duplicate of this bug. ***
Comment 129 Yvanof 2012-05-31 19:08:32 UTC
Thx a lot.
Fixed it by removing /home/.kde/share/config/amarokrc
cool.
sys

(In reply to comment #6)
> Fixed it by removing /home/.kde/share/config/amarokrc and the Ultimate
> lyrics script
Comment 130 Myriam Schweingruber 2012-06-04 02:21:14 UTC
*** Bug 301120 has been marked as a duplicate of this bug. ***
Comment 131 Myriam Schweingruber 2012-06-07 04:37:28 UTC
*** Bug 301313 has been marked as a duplicate of this bug. ***
Comment 132 Matěj Laitl 2012-06-09 11:40:19 UTC
Created attachment 71681 [details]
New crash information added by DrKonqi

amarok (2.5-GIT) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.2

I have found a reproducible way to trigger this crash (again), reopening and looking into it.

-- Backtrace (Reduced):
#6  QAbstractAnimation::state (this=0x151) at animation/qabstractanimation.cpp:662
#7  0x00007feda92acec9 in Context::ContextView::addCollapseAnimation (this=0x2e8f800, anim=0x357a820) at /home/strohel/projekty/amarok/src/context/ContextView.cpp:248
#8  0x00007feda92a998a in Context::Applet::collapse (this=0x306c140, on=<optimized out>) at /home/strohel/projekty/amarok/src/context/Applet.cpp:321
#9  0x00007fed74c26a36 in LyricsApplet::dataUpdated (this=0x306c140, name=<optimized out>, data=...) at /home/strohel/projekty/amarok/src/context/applets/lyrics/LyricsApplet.cpp:620
#10 0x00007fed74c27902 in LyricsApplet::qt_static_metacall (_o=0x306c140, _c=<optimized out>, _id=2, _a=0x7fff6610df00) at /home/strohel/projekty/amarok/build/src/context/applets/lyrics/LyricsApplet.moc:77
Comment 133 Matěj Laitl 2012-06-09 12:35:28 UTC
Git commit 2185fa124097fc2103fa0d00d62d030e5db70239 by Matěj Laitl.
Committed on 09/06/2012 at 14:12.
Pushed by laitl into branch 'master'.

ContextView: fix crash in addCollapseAnimation, dedicated to Mamarok

With some gdb fu, I was able to investigate that the root cause of the
bug was invalid static_cast<>, I wish static_casts were (almost) never
used in Amarok.

This crash-fix is a day-late present for Myriam Schweingruber's
birthday - cheers, Myriam! :-)

[this crash existed (in its current form) since at least 2011-07-14 as
reported by Marian Kyral. We thought we have fixed it already, but we
have in fact just reduced its probability by defaulting to a different
configuration wrt collapsing applets. My last patch touching this
7ff8068a993b3ef08 was rather a blind guess and debugging patch than
a real fix.]
FIXED-IN: 2.6
CCMAIL: Myriam Schweingruber <myriam@kde.org>
DIGEST: Amarok crash-fix, please mention dedication ;-)

M  +1    -0    ChangeLog
M  +2    -1    src/context/Applet.cpp
M  +3    -3    src/context/ContextView.h

http://commits.kde.org/amarok/2185fa124097fc2103fa0d00d62d030e5db70239
Comment 134 Myriam Schweingruber 2012-06-10 00:48:08 UTC
*** Bug 301461 has been marked as a duplicate of this bug. ***
Comment 135 Myriam Schweingruber 2012-06-11 18:35:45 UTC
*** Bug 301557 has been marked as a duplicate of this bug. ***
Comment 136 Myriam Schweingruber 2012-06-18 13:10:40 UTC
*** Bug 302038 has been marked as a duplicate of this bug. ***
Comment 137 Myriam Schweingruber 2012-06-28 17:30:27 UTC
*** Bug 302541 has been marked as a duplicate of this bug. ***
Comment 138 Myriam Schweingruber 2012-07-12 17:15:13 UTC
*** Bug 279712 has been marked as a duplicate of this bug. ***
Comment 139 Myriam Schweingruber 2012-07-16 22:20:02 UTC
*** Bug 303484 has been marked as a duplicate of this bug. ***
Comment 140 Myriam Schweingruber 2012-07-25 03:04:22 UTC
*** Bug 303832 has been marked as a duplicate of this bug. ***
Comment 141 Myriam Schweingruber 2012-07-31 07:57:32 UTC
*** Bug 304243 has been marked as a duplicate of this bug. ***
Comment 142 Myriam Schweingruber 2012-08-02 11:47:00 UTC
*** Bug 304416 has been marked as a duplicate of this bug. ***
Comment 143 Myriam Schweingruber 2012-09-04 20:49:53 UTC
*** Bug 306253 has been marked as a duplicate of this bug. ***
Comment 144 Myriam Schweingruber 2012-09-23 15:59:23 UTC
*** Bug 307255 has been marked as a duplicate of this bug. ***
Comment 145 Myriam Schweingruber 2012-09-24 09:07:08 UTC
*** Bug 307301 has been marked as a duplicate of this bug. ***
Comment 146 Myriam Schweingruber 2012-10-04 09:47:14 UTC
*** Bug 307817 has been marked as a duplicate of this bug. ***
Comment 147 Jekyll Wu 2012-10-06 09:27:17 UTC
*** Bug 307959 has been marked as a duplicate of this bug. ***
Comment 148 Myriam Schweingruber 2012-11-03 11:37:16 UTC
*** Bug 309438 has been marked as a duplicate of this bug. ***
Comment 149 leonardo 2012-11-07 06:38:03 UTC
Remove Me Bugzilla
Please ,
Never send me again


On 03/11/2012, Myriam Schweingruber <myriam@kde.org> wrote:
> https://bugs.kde.org/show_bug.cgi?id=258741
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |asoplayers678@yahoo.de
>
> --- Comment #148 from Myriam Schweingruber <myriam@kde.org> ---
> *** Bug 309438 has been marked as a duplicate of this bug. ***
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 150 Matěj Laitl 2012-12-15 22:39:01 UTC
*** Bug 311739 has been marked as a duplicate of this bug. ***
Comment 151 Myriam Schweingruber 2012-12-24 19:09:06 UTC
*** Bug 312165 has been marked as a duplicate of this bug. ***
Comment 152 Myriam Schweingruber 2012-12-26 13:46:59 UTC
*** Bug 312220 has been marked as a duplicate of this bug. ***
Comment 153 Myriam Schweingruber 2012-12-27 09:56:51 UTC
*** Bug 312256 has been marked as a duplicate of this bug. ***
Comment 154 Myriam Schweingruber 2013-01-31 09:19:32 UTC
*** Bug 314168 has been marked as a duplicate of this bug. ***
Comment 155 Myriam Schweingruber 2013-02-07 09:17:13 UTC
*** Bug 314582 has been marked as a duplicate of this bug. ***
Comment 156 Myriam Schweingruber 2013-02-23 18:45:07 UTC
*** Bug 315696 has been marked as a duplicate of this bug. ***
Comment 157 Myriam Schweingruber 2013-03-06 17:46:36 UTC
*** Bug 316233 has been marked as a duplicate of this bug. ***